	--local recipe = GetRecipeFromEntryName(orderInfo.Recipe)
	--this:SetObjVar("OrderRecipe", recipe)
	--this:SetObjVar("OrderAmount", orderInfo.Amount)
	--this:SetObjVar("CurrentAmount", 0)

require 'crafting_order_book_window'

function UpdateWeight()
	if(#this:GetObjVar("OrderEntries") > 0) then
		local weight = math.ceil(1 + #this:GetObjVar("OrderEntries")/10)
		this:SetSharedObjectProperty("Weight",weight)
	else
		this:SetSharedObjectProperty("Weight", 1)
	end
end

function UpdateBookTooltip()
	local entries = this:GetObjVar("OrderEntries")
	SetTooltipEntry(this,"order_entries","Orders In Book : "..#entries.."/"..this:GetObjVar("MaxCount"),100)  
end

RegisterEventHandler(EventType.ModuleAttached,GetCurrentModule(),
function()
	this:SetObjVar("OrderEntries",{--[["OrderRecipe = table,OrderAmount = Number, CurrentAmount = Number"]]})
	this:SetObjVar("MaxCount",100)
	AddUseCase(this,"Open Book",true)
	AddUseCase(this,"Add Work Order",false)
end)

RegisterEventHandler(EventType.Message, "UseObject", 
function(user,usedType)
	ShowCraftingOrderBookWindow(user)
	UpdateWeight()
	UpdateBookTooltip()
end)

RegisterEventHandler(EventType.Message, "AddCraftOrder", 
function(craftOrder,user)
	local orderEntries = this:GetObjVar("OrderEntries")
	if(#orderEntries >= this:GetObjVar("MaxCount")) then
		user:SystemMessage("your crafting order book is full and can not hold any more orders")
	else
		if(orderEntries == nil) then
			print("Error adding crafting order to crafting order book.")
			return false
		end
		local order = 
		{
			OrderRecipe = craftOrder:GetObjVar("OrderRecipe"),
			OrderAmount = craftOrder:GetObjVar("OrderAmount"),
			CurrentAmount = craftOrder:GetObjVar("CurrentAmount"),
			OrderSkill = craftOrder:GetObjVar("OrderSkill"),
		}
		table.insert(orderEntries,order)
		user:SystemMessage("you successfully add the work order "..craftOrder:GetName().. " to the crafting order book.")
		this:SetObjVar("OrderEntries",orderEntries)
		craftOrder:Destroy()
		UpdateBookTooltip()
		return true
	end
end)
