require 'dungeon_tile_save'
function Snap()
	print("Placed Location("..this:GetLoc().X..","..this:GetLoc().Y..","..this:GetLoc().Z..")")
	local snapx = math.floor(this:GetLoc().X/5 + 0.5)*5
	local snapz = math.floor(this:GetLoc().Z/5 + 0.5)*5
	print(snapx,snapz)
	this:SetWorldPosition(Loc(snapx,0,snapz))
	print("Snap Location("..snapx..",0,"..snapz..")")
end

function ShowTileHelperWindow(user)
	local dynWindow = DynamicWindow("TileHelperWindow","Tile Manager",250,250,-125,-125,"TransparentDraggable","Center")
	--header
	dynWindow:AddImage(50,-25,"Blank",150,25,"Sliced","151515")
	dynWindow:AddImage(50,-25,"SectionDividerFrames_nobackground",150,25,"Sliced","999900")
	dynWindow:AddLabel(85,-20,"[CCCC00]Tile Helper",200,25,22,"left")
	--window background
	dynWindow:AddImage(0,0,"Blank",250,250,"Sliced","151515")
	--close button
	dynWindow:AddImage(230, 2,"Blank",20,20,"Sliced","650000")
	dynWindow:AddImage(231, 3,"Blank",18,18,"Sliced","350000")
	dynWindow:AddLabel(236, 5,"[850000][b]X[/b]",16,16,16,"left")
	dynWindow:AddButton(230,2,"CloseWindow","",20,20,"[FF7700]Close Tile Helper",nil,true,"Invisible")
	dynWindow:AddImage(0,0,"SectionDividerFrames_nobackground",250,250,"Sliced","999900")

	--rotate CCW
	dynWindow:AddButton(10,30,"RotateCCW","CCW",65,20,"[FF7700]Rotate Tile\n[FFFF00]click this to rotate the tile by 90 degrees counter clockwise.",nil,false,"")
	dynWindow:AddTextField(80,31,100,20,"value_ccw","90")
	--rotate CW
	dynWindow:AddButton(10,55,"RotateCW","CW",65,20,"[FF7700]Rotate Tile\n[FFFF00]click this to rotate the tile by 90 degrees clockwise.",nil,false,"")
	dynWindow:AddTextField(80,56,100,20,"value_cw","90")
	--push North
	dynWindow:AddButton(10,80,"PushNorth","North",65,20,"[FF7700]Push Tile North\n[FFFF00]click this will push the tile 5 units north.",nil,false,"")
	dynWindow:AddTextField(80,81,100,20,"value_north","5")
	--push South
	dynWindow:AddButton(10,105,"PushSouth","South",65,20,"[FF7700]Push Tile South\n[FFFF00]click this will push the tile 5 units south.",nil,false,"")
	dynWindow:AddTextField(80,106,100,20,"value_south","5")
	--push West
	dynWindow:AddButton(10,130,"PushWest","West",65,20,"[FF7700]Push Tile West\n[FFFF00]click this will push the tile 5 units west.",nil,false,"")
	dynWindow:AddTextField(80,131,100,20,"value_west","5")
	--push East
	dynWindow:AddButton(10,155,"PushEast","East",65,20,"[FF7700]Push Tile East\n[FFFF00]click this will push the tile 5 units east.",nil,false,"")
	dynWindow:AddTextField(80,156,100,20,"value_east","5")
	--push Raise
	dynWindow:AddButton(10,180,"PushUp","Raise",65,20,"[FF7700]Raise Tile\n[FFFF00]click this will push the tile 0.5 units up.",nil,false,"")
	dynWindow:AddTextField(80,181,100,20,"value_raise","0.5")
	--push Raise
	dynWindow:AddButton(10,205,"PushDown","Lower",65,20,"[FF7700]Lower Tile\n[FFFF00]click this will push the tile 0.5 units up.",nil,false,"")
	dynWindow:AddTextField(80,206,100,20,"value_lower","0.5")


	user:OpenDynamicWindow(dynWindow,this)
end


RegisterEventHandler(EventType.DynamicWindowResponse,"TileHelperWindow", 
function (user,buttonId,textField)
	local ccw = tonumber(textField.value_ccw) or 0
	local cw = tonumber(textField.value_cw) or 0
	local north = tonumber(textField.value_north) or 0
	local south = tonumber(textField.value_south) or 0
	local west = tonumber(textField.value_west) or 0
	local east = tonumber(textField.value_east) or 0
	local raise = tonumber(textField.value_raise) or 0
	local lower = tonumber(textField.value_lower) or 0

	if(buttonId == "RotateCCW") then
		local current_rotation = this:GetRotation().Y
		current_rotation = current_rotation - ccw
		if(current_rotation < 0) then current_rotation = 360 + current_rotation end
		this:SetRotation(Loc(0,current_rotation,0))
	end
	if(buttonId == "RotateCW") then
		local current_rotation = this:GetRotation().Y
		current_rotation = current_rotation + cw
		if(current_rotation > 360) then current_rotation = current_rotation - 360 end
		this:SetRotation(Loc(0,current_rotation,0))
	end
	if(buttonId == "PushNorth") then
		local current_location = this:GetLoc()
		this:SetWorldPosition(Loc(current_location.X,current_location.Y,current_location.Z+north))
	end	
	if(buttonId == "PushSouth") then
		local current_location = this:GetLoc()
		this:SetWorldPosition(Loc(current_location.X,current_location.Y,current_location.Z-south))
	end	
	if(buttonId == "PushWest") then
		local current_location = this:GetLoc()
		this:SetWorldPosition(Loc(current_location.X-west,current_location.Y,current_location.Z))
	end		
	if(buttonId == "PushEast") then
		local current_location = this:GetLoc()
		this:SetWorldPosition(Loc(current_location.X+east,current_location.Y,current_location.Z))
	end
	if(buttonId == "PushUp") then
		local current_location = this:GetLoc()
		this:SetWorldPosition(Loc(current_location.X,current_location.Y+raise,current_location.Z))
	end				
	if(buttonId == "PushDown") then
		local current_location = this:GetLoc()
		this:SetWorldPosition(Loc(current_location.X,current_location.Y-lower,current_location.Z))
	end				
end)

RegisterEventHandler(EventType.ModuleAttached,GetCurrentModule(),
function()
	this:SetObjVar("StaticObjectToSave",true)
	--Snap()
end)

RegisterEventHandler(EventType.Message, "UseObject", 
function(user,usedType)
	if(IsGod(user)) then
		ShowTileHelperWindow(user)
	end
end)