-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
function Initialize()
	this:SetObjVar("Pulse_Frequency",10)
	this:SetObjVar("Pulse_Hue",0)
	this:SetObjVar("Pulse_Count", 70)
	this:SetObjVar("Pulse_MaxCount",250)
	this:SetObjVar("Pulse_Step",6)
	this:SetObjVar("Pulse_Direction",true)
	this:SetObjVar("Pulse_Initialized",true)
	this:SetObjVar("Pulse_Enabled",true)
	this:SetObjVar("Pulse_MinCount",70)
end

function rgbToHex(rgb)
	local hexadecimal = '0X'

	for key, value in pairs(rgb) do
		local hex = ''

		while(value > 0)do
			local index = math.fmod(value, 16) + 1
			value = math.floor(value / 16)
			hex = string.sub('0123456789ABCDEF', index, index) .. hex			
		end

		if(string.len(hex) == 0)then
			hex = '00'

		elseif(string.len(hex) == 1)then
			hex = '0' .. hex
		end

		hexadecimal = hexadecimal .. hex
	end

	return hexadecimal
end

function UpdatePulse()
	if(this:GetObjVar("Pulse_Initialized") and this:GetObjVar("Pulse_Enabled")) then
		local pulseTime = this:GetObjVar("Pulse_Frequency") 
		local pulseHue = this:GetObjVar("Pulse_Hue") 
		local pulseMaxCount = this:GetObjVar("Pulse_MaxCount")
		local pulseMinCount = this:GetObjVar("Pulse_MinCount") 
		local pulseCount = this:GetObjVar("Pulse_Count") 
		local pulseDirection = this:GetObjVar("Pulse_Direction") 
		local pulseStep = this:GetObjVar("Pulse_Step")
		local pulseColor = "FFFFFF"
		--if direction is true positive add
		if(pulseDirection == true) then
			pulseCount = pulseCount + pulseStep	
		end
		--if direction is false, go negative
		if(pulseDirection == false) then
			pulseCount = pulseCount - pulseStep			
		end

		if(pulseCount >= pulseMaxCount) then 
			pulseCount = pulseMaxCount
			this:SetObjVar("Pulse_Direction",false)
		end
		if(pulseCount <= pulseMinCount) then 
			pulseCount = pulseMinCount 
			this:SetObjVar("Pulse_Direction",true)
		end
		this:SetObjVar("Pulse_Count",pulseCount)
		pulseColor = rgbToHex({pulseCount,pulseCount,pulseCount})
		if(this:GetHue() ~= pulseHue) then this:SetHue(pulseHue) end
		this:SetColor(pulseColor)
		this:ScheduleTimerDelay(TimeSpan.FromMilliseconds(pulseTime), "pulseTimer")	
	else
		this:ScheduleTimerDelay(TimeSpan.FromMilliseconds(pulseTime), "pulseTimer")
	end
end

RegisterSingleEventHandler(EventType.ModuleAttached, GetCurrentModule(), 
	function()
		Initialize()
		local pulseTime = this:GetObjVar("Pulse_Frequency") or 100	
		this:ScheduleTimerDelay(TimeSpan.FromMilliseconds(pulseTime), "pulseTimer")			
	end)

RegisterEventHandler(EventType.LoadedFromBackup,"",
	function()
		local pulseTime = this:GetObjVar("Pulse_Frequency") or 100	
		this:ScheduleTimerDelay(TimeSpan.FromMilliseconds(pulseTime), "pulseTimer")
	end)

RegisterEventHandler(EventType.Timer, "pulseTimer", 
	function()
		UpdatePulse()
	end)