TileInfo = {}
----------------------------------------------------------------------------------
-- Example Custom Tileset
----------------------------------------------------------------------------------
--[[

TileInfo.CustomTileSet = {}
TileInfo.CustomTileSet.TileData = {}
TileInfo.CustomTileSet.TileData.Name = "My Custom Tileset"
TileInfo.CustomTileSet.TileData.TileSize = {Width=X,Height=Y}

TileInfo.CustomTileSet.Tiles = {}

TileInfo.CustomTileSet.Tiles._1 = 
{
	IconImage = {North="image1",West="image2",South="image3",East="image4"}, --this is the image name for the icon in the tile selection list
	ImageView = "tile_view_1",												 --this is a image of the rendered tile in game (sizex,sizey)
	Template = "custom_tile_set_tile_1",									 --this is the template file for this object in game
	Description = "a brief description of how the tile looks",				 --this is a general description of the tile
	Tooltip = "a short tooltip for the selection list icon",				 --this is the Tooltipt tooltip for the image icon in the tile selection list
	ClientID = 0,															 --this is the actual client id of the object for referencing
}

]]

----------------------------------------------------------------------------------
--								BONE AND DIRT TILESET
----------------------------------------------------------------------------------
TileInfo.BoneAndDirt = {}
TileInfo.BoneAndDirt.TileSetName = "Bone And Dirt Tileset"
TileInfo.BoneAndDirt.TileData = {}
TileInfo.BoneAndDirt.TileData.TileSize = {Width=15, Height=15}
TileInfo.BoneAndDirt.Tiles = {}

TileInfo.BoneAndDirt.Tiles._695 = 
{
	ClientId = 695,
	IconImage = {North="tile_695_north",West="tile_695_west",South="tile_695_south",East="tile_695_east"},
	ImageView = "tile_view_695",
	Template = "bone_and_dirt_695",
	Description = "this tile has two open walls and one exit leading to another room",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._696 = 
{
	ClientId = 696,
	IconImage = {North="tile_696_north",West="tile_696_west",South="tile_696_south",East="tile_696_east"},
	ImageView = "tile_view_696",
	Template = "bone_and_dirt_696",
	Description = "this tile has 2 walls forming a corner",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._697 = 
{
	ClientId = 697,
	IconImage = {North="tile_697_north",West="tile_697_west",South="tile_697_south",East="tile_697_east"},
	ImageView = "tile_view_697",
	Template = "bone_and_dirt_697",
	Description = "this tile has one wall with an exit leading to another room",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._698 = 
{
	ClientId = 698,
	IconImage = {North="tile_698_north",West="tile_698_north",South="tile_698_north",East="tile_698_north"},
	ImageView = "tile_view_698",
	Template = "bone_and_dirt_698",
	Description = "this tile is a flat surface with no walls or doors",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._699 = 
{
	ClientId = 699,
	IconImage = {North="tile_699_north",West="tile_699_west",South="tile_699_south",East="tile_699_east"},
	ImageView = "tile_view_699",
	Template = "bone_and_dirt_699",
	Description = "this tile has two walls with one exit leading to anothe room",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._700 = 
{
	ClientId = 700,
	IconImage = {North="tile_700_north",West="tile_700_west",South="tile_700_south",East="tile_700_east"},
	ImageView = "tile_view_700",
	Template = "bone_and_dirt_700",
	Description = "this tile has one wall",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._701 = 
{
	ClientId = 701,
	IconImage = {North="tile_701_north",West="tile_701_west",South="tile_701_south",East="tile_701_east"},
	ImageView = "tile_view_701",
	Template = "bone_and_dirt_701",
	Description = "this room has three walls with one exit leading to other rooms",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._702 = 
{
	ClientId = 702,
	IconImage = {North="tile_702_north",West="tile_702_west",South="tile_702_south",East="tile_702_east"},
	ImageView = "tile_view_702",
	Template = "bone_and_dirt_702",
	Description = "this tile has three walls with one exit leading to another room",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._703 = 
{
	ClientId = 703,
	IconImage = {North="tile_703_north",West="tile_703_west",South="tile_703_north",East="tile_703_west"},
	ImageView = "tile_view_703",
	Template = "bone_and_dirt_703",
	Description = "this tile has 2 walls forming a hallway passage",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._704 = 
{
	ClientId = 704,
	IconImage = {North="tile_704_north",West="tile_704_west",South="tile_704_south",East="tile_704_east"},
	ImageView = "tile_view_704",
	Template = "bone_and_dirt_704",
	Description = "this tile has three walls with a opening to another room",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._705 = 
{
	ClientId = 705,
	IconImage = {North="tile_705_north",West="tile_705_west",South="tile_705_south",East="tile_705_east"},
	ImageView = "tile_view_705",
	Template = "bone_and_dirt_705",
	Description = "this tile has three walls with a opening to another room",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._717 = 
{
	ClientId = 717,
	IconImage = {North="tile_717_north",West="tile_717_west",South="tile_717_south",East="tile_717_east"},
	ImageView = "tile_view_717",
	Template = "bone_and_dirt_717",
	Description = "this tile has four walls with two exits leading to other rooms",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._718 = 
{
	ClientId = 718,
	IconImage = {North="tile_718_north",West="tile_718_west",South="tile_718_south",East="tile_718_east"},
	ImageView = "tile_view_718",
	Template = "bone_and_dirt_718",
	Description = "this tile has four walls with one exit leading to another room",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._719 = 
{
	ClientId = 719,
	IconImage = {North="tile_719_north",West="tile_719_west",South="tile_719_south",East="tile_719_east"},
	ImageView = "tile_view_719",
	Template = "bone_and_dirt_719",
	Description = "this tile has four walls and two exits on opposite walls of each other, leading to other rooms",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._720 = 
{
	ClientId = 720,
	IconImage = {North="tile_720_north",West="tile_720_west",South="tile_720_south",East="tile_720_east"},
	ImageView = "tile_view_720",
	Template = "bone_and_dirt_720",
	Description = "this tile has four walls with three exits leading to other rooms",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._721 = 
{
	ClientId = 721,
	IconImage = {North="tile_721_north",West="tile_721_west",South="tile_721_south",East="tile_721_east"},
	ImageView = "tile_view_721",
	Template = "bone_and_dirt_721",
	Description = "this tile has four walls with three exits leading to other rooms",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._722 = 
{
	ClientId = 722,
	IconImage = {North="tile_722_north",West="tile_722_west",South="tile_722_south",East="tile_722_east"},
	ImageView = "tile_view_722",
	Template = "bone_and_dirt_722",
	Description = "this tile has four walls with one exit leading to another room with a pit in the center",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._723 = 
{
	ClientId = 723,
	IconImage = {North="tile_723_north",West="tile_723_north",South="tile_723_north",East="tile_723_north"},
	ImageView = "tile_view_723",
	Template = "bone_and_dirt_723",
	Description = "this tile has four walls with four exits leading to other rooms",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._735 = 
{
	ClientId = 735,
	IconImage = {North="tile_735_north",West="tile_735_west",South="tile_735_south",East="tile_735_east"},
	ImageView = "tile_view_735",
	Template = "bone_and_dirt_735",
	Description = "this tile has walls on every side, with 2 passages to exit to another room",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._736 = 
{
	ClientId = 736,
	IconImage = {North="tile_736_north",West="tile_736_west",South="tile_736_south",East="tile_736_east"},
	ImageView = "tile_view_736",
	Template = "bone_and_dirt_736",
	Description = "this tile has four walls with one exits leading to other rooms",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._737 = 
{
	ClientId = 737,
	IconImage = {North="tile_737_north",West="tile_737_west",South="tile_737_north",East="tile_737_west"},
	ImageView = "tile_view_737",
	Template = "bone_and_dirt_737",
	Description = "this tile has four walls with two exits leading to other rooms",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._738 = 
{
	ClientId = 738,
	IconImage = {North="tile_738_north",West="tile_738_west",South="tile_738_south",East="tile_738_east"},
	ImageView = "tile_view_738",
	Template = "bone_and_dirt_738",
	Description = "this tile has four walls with three exits leading to other rooms",
	Tooltip = "",
}

TileInfo.BoneAndDirt.Tiles._739 = 
{
	ClientId = 739,
	IconImage = {North="tile_739_north",West="tile_739_west",South="tile_739_south",East="tile_739_east"},
	ImageView = "tile_view_739",
	Template = "bone_and_dirt_739",
	Description = "this tile has four walls and three exits leading to other rooms",
	Tooltip = "",
}



