SpellData = {
	CastTimes = {
		0.75, -- circle 1 cast time
		1, -- circle 2 cast time
		1.25, -- circle 3 cast time
		1.5, -- circle 4 cast time
		1.75, -- circle 5 cast time
		2, -- circle 6 cast time
		2.25, -- circle 7 cast time
		2.5, -- circle 8 cast time
	},
	CircleSkills = {
		{-20.1, 20.1},  -- circle -1 (for scrolls)
		{-10.1, 30.1},  -- circle 0 (for scrolls)
		{1.1, 40.1},  -- circle 1
		{6.1, 50.1},  -- circle 2
		{16.1, 60.1}, -- circle 3
		{26.1, 70.1}, -- circle 4
		{36.1, 80.1}, -- circle 5
		{51.8, 90.1}, -- circle 6
		{66.1, 100.1}, -- circle 7
		{80.1, 120.1}, --circle 8
	},

	AllSpells= {
		ManaMissile = {
			PowerWords = "Mana Missile",
			manaCost = 4,
			upkeepCost = 0,
			effectDamageType = "Fire",
			effectType = "Projectile",
			SpellPower = 11,
			critChance = 1,
			SpellRange = 12,
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellTravelRate = 7,
			critEffectTargetScript = "sp_burn_effect",
			SpellType = "MagicAttackTypeSpell",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			CanBeDodged = true,
			CanBeBlocked = true,
			CanBeParried = true,
			MinTravelTime = 1.5,
			SpellFXName = "ManaMissileEffect",
			SpellFXArgs = "Bone=R_Hand",
			SpellFXDelay = 0.1,
			SpellFXDespawnDelay = 3,
			SpellHitFX = "ManaMissileExplosionEffect",
			SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
			SpellHitSFX = "event:/magic/fire/magic_fire_fireball_impact",
			SpellPotencySkill = "EvocationSkill",
			SpellTooltipString = "Shoots a arcane missile that does damages the target on impact.",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 0,
			spellSkillLevel = 10,
			AttackSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "spell_fire",
			SpellDisplayName = "Mana Missile",
			StanceOverride = {
				Defensive = {
					SpellReleaseUserScript  = "sp_fireshockwave_effect",
					critEffectTargetScript = "sp_knockback_effect",
					critChance = 5,
					SpellRange = 6,
					manaCost = 12,
				},
			},
			Reagents = {
				"LemonGrass",
			},
			Circle = 1,
			Icon = "Starfall 01",
		},
		Fireball = {
			PowerWords = "Fireball",
			manaCost = 9,
			upkeepCost = 0,
			effectDamageType = "Fire",
			effectType = "Projectile",
			SpellPower = 19,
			critChance = 1,
			SpellRange = 12,
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellTravelRate = 20,
			critEffectTargetScript = "sp_burn_effect",
			SpellType = "MagicAttackTypeSpell",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			CanBeDodged = true,
			CanBeBlocked = true,
			CanBeParried = true,
			MinTravelTime = 1,
			SpellFXName = "FireballEffect",
			SpellFXArgs = "Bone=R_Hand",
			SpellFXDelay = 0.15,
			SpellHitFX = "FireballExplosionEffect",
			SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
			SpellHitSFX = "event:/magic/fire/magic_fire_fireball_impact",
			SpellPotencySkill = "EvocationSkill",
			SpellTooltipString = "Shoots a flaming ball that does fire damage to the target on impact.",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 0,
			spellSkillLevel = 10,
			AttackSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "spell_fire",
			SpellDisplayName = "Fireball",
			StanceOverride = {
				Defensive = {
					SpellReleaseUserScript  = "sp_fireshockwave_effect",
					critEffectTargetScript = "sp_knockback_effect",
					critChance = 5,
					SpellRange = 6,
					manaCost = 12,
				},
			},
			Reagents = {
				"LemonGrass",
			},
			Circle = 3,
		},
		Frost = {
			PowerWords = "Ray of Frost",
			manaCost = 14,
			upkeepCost = 0,
			effectDamageType = "Fire",
			effectType = "Projectile",
			SpellPower = 30,
			critChance = 1,
			SpellRange = 12,
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellTravelRate = 60,
			critEffectTargetScript = "sp_burn_effect",
			SpellType = "MagicAttackTypeSpell",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			CanBeDodged = true,
			CanBeBlocked = true,
			CanBeParried = true,
			MinTravelTime = 0.5,
			SpellFXName = "IceRaySpellEffect",
			SpellFXArgs = "Bone=R_Hand",
			SpellFXDelay = 0.1,
			SpellFXDespawnDelay = 3.0,
			SpellHitFX = "IceCrystalExplosionEffect",
			SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
			SpellHitSFX = "event:/magic/fire/magic_fire_fireball_impact",
			SpellPotencySkill = "EvocationSkill",
			SpellTooltipString = "Shoots a ray of frost that does damages the target on impact.",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 0,
			spellSkillLevel = 10,
			AttackSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "spell_fire",
			SpellDisplayName = "Ray of Frost",
			StanceOverride = {
				Defensive = {
					SpellReleaseUserScript  = "sp_fireshockwave_effect",
					critEffectTargetScript = "sp_knockback_effect",
					critChance = 5,
					SpellRange = 6,
					manaCost = 12,
				},
			},
			TargetMobileEffect = "Frost",
			Reagents = {
				"LemonGrass",
			},
			Circle = 5,
			Icon = "Chill",
		},

		Meteor = {
			PowerWords = "Meteor",
			manaCost = 40,
			effectDamageType = "Fire",			
			effectType = "InstantHitSpell",
			SpellPower = 52,
			SpellRange = 12,
			TargetType = "targetLocation",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "MagicAttackTypeSpell",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellTooltipString = "[$3306]",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			AttackSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "cast_heal",
			SpellDisplayName = "Meteor",
			SpellReleaseUserScript  = "sp_meteor_effect",
			SpellPotencySkill = "EvocationSkill",
			DoNotReplaceTarget = true,
			InstantHitSpell = true,
			SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
			--SpellLaunchSFX = "event:/magic/earth/magic_earth_cast_meteor",
			SpellLaunchSFX = "FallingMeteor",
			critEffectTargetScript = "sp_burn_effect",
			Icon = "Hellstorm",
			Reagents = {
				"LemonGrass",
			},
			Circle = 7,
		},	

		Reflectivearmor = {
			PowerWords = "Feir Gar",
			manaCost = 4,
			Icon = "Elemental Shield",
			PowerText = "Rel Armour",
			effectType = "BuffSpell",
			critChance = 0,
			SpellRange = 12,
			TargetType = "Self",
			SpellType = "TeleportSpellType",
			completionEffectUserScript = "sp_reflective_armor",
			TargetRequired = false,
			CanBeInterrupted = true,
			SpellFXName = "HealEffect",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellPrimeFXName = "ConjurePrimeYellowEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandYellowEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellHitSFX = "event:/magic/misc/magic_water_event:/magic/misc/magic_water_restoration",
			SpellTooltipString = "Protects the caster in an armor that reflects damage while active.",
			Skill = "ManifestationSkill",
			MinSkillRequired = 5,
			spellSkillLevel = 15,
			BeneficialSpellType = true,
			SpellEnabled = false,
			SpellFireAnim = "cast_heal",
			SpellDisplayName = "Repel",
			Reagents = {
				"Ginseng",
			},
			Circle = 1,
		},
		Lightning = {
			PowerWords = "Lightning",
			manaCost = 11,
			upkeepCost = 0,
			effectDamageType = "Energy",
			effectType = "InstantHitSpell",
			SpellPower = 24,
			critChance = 10,
			SpellRange = 12,
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			critEffectTargetScript = "sp_shocked_slow_effect",
			SpellType = "MagicAttackTypeSpell",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellFXName = "LightningCloudEffect",
			SpellPrimeSFX = "event:/magic/air/magic_air_cast_air",
			SpellHitSFX = "event:/magic/air/magic_air_lightning",
			SpellPotencySkill = "EvocationSkill",
			SpellTooltipString = "Lightning strikes the target doing instant direct damage.",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 20,
			spellSkillLevel = 30,
			AttackSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "cast_lightning",
			SpellDisplayName = "Lightning",
			StanceOverride = {
				Defensive = {
					SpellReleaseUserScript  = "sp_staticshockwave_effect",
				},
			},
			Reagents = {
				"Moss",
			},
			Circle = 4,
		},
		Ruin = {
			PowerWords = "Ruin",
			Icon = "Arcane Arrow",
			manaCost = 6,
			upkeepCost = 0,
			effectDamageType = "Energy",
			effectType = "InstantHitSpell",
			SpellPower = 19,
			critChance = 10,
			SpellRange = 12,
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			critEffectTargetScript = "sp_shocked_slow_effect",
			SpellType = "MagicAttackTypeSpell",
			--SpellFXName = "LightningCloudEffect",
			SpellPrimeSFX = "event:/magic/void/magic_void_cast_void",
			SpellHitSFX = "event:/magic/fire/magic_fire_fireball_impact",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellHitFX = "VoidExplosionEffect",
			SpellPotencySkill = "EvocationSkill",
			SpellTooltipString = "Harm your opponent.",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 20,
			spellSkillLevel = 30,
			AttackSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "spell_fire",
			SpellDisplayName = "Ruin",
			StanceOverride = {
				Defensive = {
					SpellReleaseUserScript  = "sp_staticshockwave_effect",
				},
			},
			Reagents = {
				"Moss",
			},
			Circle = 2,
		},
		Bombardment = {
			PowerWords = "Bombardment",
			Icon = "Meteor 01",
			manaCost = 20,
			upkeepCost = 0,
			effectDamageType = "Bashing",
			SpellPower = 40,
			critChance = 4,
			SpellRange = 12,
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			IndirectProjectile = true,
			SpellTravelRate = .2,
			MinTravelTime = 3.5,
			--critEffectTargetScript = "sp_shocked_slow_effect",
			SpellType = "MagicAttackTypeSpell",
			--SpellFXName = "LightningCloudEffect",
			--SpellLaunchFX = "RockLaunchEffect",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
			SpellHitSFX = "event:/magic/air/magic_air_lightning",
			SpellHitFX = "RedCoreImpactWaveEffect",
			SpellPotencySkill = "EvocationSkill",
			SpellTooltipString = "Launch a large boulder towards the target.",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 70,
			spellSkillLevel = 75,
			AttackSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "cast_earth",
			SpellDisplayName = "Rock Bombardment",
			critEffectTargetScript = "sp_shaken_slow_effect",
			AffinityRequired = {
						Earth = 2,
			},
			Reagents = {
				"Mushrooms",
				},
			Circle = 6,
		},	
		Electricbolt = {
			PowerWords = "Energy Bolt",
			Icon = "Ball Lightning 01",
			MinTravelTime = 0,
			manaCost = 20,
			upkeepCost = 0,
			effectDamageType = "Energy",
			effectType = "Projectile",
			SpellPower = 40,
			critChance = 0,
			SpellRange = 12,
			SpellTravelRate = 150,
			critEffectTargetScript = "sp_shocked_slow_effect",
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "MagicAttackTypeSpell",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellFXName = "LightningBallEffect",
			SpellFXArgs = "Bone=R_Hand",
			SpellFXDelay = 0.15,
			SpellFXDespawnDelay = 3,
			SpellHitFX = "ChainLightningExplosionEffect",
			SpellHitSFX = "event:/magic/air/magic_air_lightning_impact",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimeSFX = "event:/magic/air/magic_air_cast_air",
			SpellTooltipString = "Shoots a bolt of ball lightning at your opponent.",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 45,
			spellSkillLevel = 50,
			AttackSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "spell_fire",
			SpellDisplayName = "Energy Bolt",
			CanBeDodged = true,
			CanBeBlocked = true,
			CanBeParried = true,
			AffinityRequired = {
						Air = 2,
				},
			Reagents = {
				"Moss",
			},
			Circle = 6,
		},
		Attack = {
			PowerWords = "Pal Ex",
			Circle = 6,
			Icon = "Sap2",
			manaCost = 4,
			effectType = "InstantHitSpell",
			SpellRange = 12,
			TargetType = "targetMobile",
			TargetRequired = true,
			SpellType = "BuffTypeSpell",
			SpellFXName = "HealEffect",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellPrimeFXName = "ConjurePrimeYellowEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandYellowEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellHitSFX = "event:/magic/misc/magic_water_event:/magic/misc/magic_water_restoration",
			SpellTooltipString = "Increase targets attack by 20%.",
			SpellFXArgs = "Bone=Ground",
			requireLineOfSight = true,
			BeneficialSpellType = true,
			SpellEnabled = false,
			SpellFireAnim = "BuffEffect_C",
			SpellDisplayName = "Attack",

			Skill = "ManifestationSkill",

			RequireTarget = true,

			TargetMobileEffect = "AttackBuff",

			-- these are set inside the mobileeffect already. (preferred place to set them)
			--TargetMobileEffectArgs = {
				--Duration = TimeSpan.FromMinutes(10),
				--Amount = 10	
			--},

			Reagents = {
				"Mushrooms",
			},
		},
		Recall = {
			PowerWords = "Kor Vul",
			Circle = 1,
			CastTime = 5,
			Icon = "Fire Spark",
			manaCost = 4,
			effectType = "InstantHitSpell",
			SpellRange = OBJECT_INTERACTION_RANGE,
			requireLineOfSight = true,
			TargetType = "Self",
			SpellType = "BuffTypeSpell",
			SpellFXName = "HealEffect",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellPrimeFXName = "ConjurePrimeBlueEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandBlueEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandBlueEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellPrimeFXName = "event:/magic/water/magic_water_cast_water2",
			SpellHitSFX = "event:/magic/misc/magic_water_event:/magic/misc/magic_water_restoration",
			SpellTooltipString = "Teleports you to the location marked on the targetted rune. Cannot be used in Dungeons, Barren Lands, and Black Forest.",
			SpellFXArgs = "Bone=Ground",
			SpellEnabled = false,
			SpellFireAnim = "BuffEffect_C",
			SpellDisplayName = "Recall",
			BeneficialSpellType = true,
			Skill = "ManifestationSkill",
			SkipKarmaCheck = true,

			TargetType = "targetObject",
			TargetRequired = true,
			MobileEffect = "Recall",

			-- these are set inside the mobileeffect already. (preferred place to set them)
			--TargetMobileEffectArgs = {
				--Duration = TimeSpan.FromMinutes(10),
				--Amount = 10	
			--},

			Reagents = {
				"Mushrooms",
			},
		},

		Mark = {
			-- DAB TODO: Mark power word and regs
			PowerWords = "Mark",
			Circle = 5,
			CastTime = 5,
			Icon = "Illuminate",
			manaCost = 50,
			effectType = "InstantHitSpell",
			SpellRange = OBJECT_INTERACTION_RANGE,
			requireLineOfSight = true,
			SpellType = "BuffTypeSpell",
			SpellFXName = "HealEffect",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellPrimeFXName = "ConjurePrimeBlueEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandBlueEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandBlueEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellTooltipString = "Inscribes a rune that allows for travel to this location using teleportation.",
			SpellFXArgs = "Bone=Ground",
			SpellEnabled = true,
			SpellFireAnim = "BuffEffect_C",
			SpellDisplayName = "Mark",

			Skill = "ManifestationSkill",

			TargetType = "targetObject",
			TargetResource = "Rune",
			TargetRequired = true,
			MobileEffect = "Mark",

			-- these are set inside the mobileeffect already. (preferred place to set them)
			--TargetMobileEffectArgs = {
				--Duration = TimeSpan.FromMinutes(10),
				--Amount = 10	
			--},

			Reagents = {
				"Mushrooms",
			},
		},


		Defense = {
			PowerWords = "Lu Pal",
			Icon = "Deflect",
			manaCost = 6,
			effectType = "InstantHitSpell",
			SpellRange = 12,
			TargetType = "targetMobile",
			TargetRequired = true,
			SpellType = "BuffTypeSpell",
			SpellFXName = "ElectricShield",
			SpellFXDuration = 3,
			SpellPrimeFXName = "ConjurePrimeYellowEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandYellowEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellHitSFX = "event:/magic/misc/magic_water_event:/magic/misc/magic_water_restoration",
			SpellTooltipString = "Increase targets defense by 20%.",
			requireLineOfSight = true,
			Skill = "ManifestationSkill",
			BeneficialSpellType = true,
			SpellEnabled = false,
			SpellFireAnim = "BuffEffect_C",
			SpellDisplayName = "Defense",
			TargetMobileEffect = "DefenseBuff",
			-- these are set inside the mobileeffect already. (preferred place to set them)
			--TargetMobileEffectArgs = {
				--Duration = TimeSpan.FromMinutes(10),
				--Amount = 10	
			--},
			Reagents = {
				"Ginseng",
			},
			Circle = 1,
		},
		Weaken = {
			PowerWords = "Fal Ex",
			Icon = "Thunder Strike 04",
			manaCost = 4,
			effectType = "InstantHitSpell",
			SpellRange = 12,
			TargetType = "targetMobile",
			TargetRequired = true,
			SpellType = "BuffTypeSpell",
			SpellFXName = "HealEffect",
			SpellPrimeSFX = "event:/magic/void/magic_void_cast_void",
			SpellPrimeFXName = "ConjurePrimeYellowEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandYellowEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellHitSFX = "event:/magic/void/magic_void_grim_aura",
			SpellTooltipString = "Decrease targets strength.",
			SpellFXArgs = "Bone=Ground",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			BeneficialSpellType = false,
			AttackSpellType = true,
			SpellEnabled = false,
			SpellFireAnim = "BuffEffect_C",
			SpellDisplayName = "Exhaust",
			spellHitEffectTargetScript = "sp_weaken_effect",
			Reagents = {
				"Mushrooms",
			},
			Circle = 1,
		},

		Intellect = {
			PowerWords = "Infuse",
			Icon = "Ball Lightning 01",
			manaCost = 0,
			effectType = "InstantHitSpell",
			SpellRange = 12,
			TargetType = "Self",
			TargetRequired = true,
			SpellType = "BuffTypeSpell",
			SpellFXName = "HealEffect",
			SpellPrimeFXName = "ConjurePrimeYellowEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandYellowEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellHitSFX = "event:/magic/misc/magic_water_restoration",
			SpellTooltipString = "Sacrifices up to 20% of casters max stamina in exchange for 25%-75% of that amount in mana.",
			SpellFXArgs = "Bone=Ground",
			requireLineOfSight = true,
			Skill = "ManifestationSkill",
			BeneficialSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "BuffEffect_C",
			SpellDisplayName = "Infuse",
			TargetRequired = false,
			MobileEffect = "Intellect",
			Reagents = {
				"LemonGrass",
			},
			Circle = 1,
			PlayEffect = HealEffect,
		},
		Agility = {
			PowerWords = "Refresh",
			Icon = "Ball Lightning 02",
			manaCost = 0,
			effectType = "InstantHitSpell",
			SpellRange = 12,
			TargetType = "Self",
			TargetRequired = true,
			SpellType = "BuffTypeSpell",
			SpellFXName = "HealEffect",
			SpellPrimeFXName = "ConjurePrimeYellowEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandYellowEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellHitSFX = "event:/magic/misc/magic_water_restoration",
			SpellTooltipString = "Sacrifices up to 20% of casters max mana in exchange for 25%-75% of that amount in stamina.",
			SpellFXArgs = "Bone=Ground",
			requireLineOfSight = true,
			Skill = "ManifestationSkill",
			BeneficialSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "BuffEffect_C",
			SpellDisplayName = "Refresh",
			TargetRequired = false,
			MobileEffect = "Agility",
			Reagents = {
				"LemonGrass",
			},
			Circle = 1,
		},		
		
		Heal = {
			PowerWords = "Heal",
			SpellPower = 2,
			manaCost = 4,
			effectType = "InstantHitSpell",
			critChance = 5,
			SpellRange = 12,
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			critEffectTargetScript = "sp_heal_effect",
			SpellType = "HealTypeSpell",
			SpellPrimeFXName = "ConjurePrimeGreenEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandGreenEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandGreenEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandGreenEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellFXName = "HealEffect",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellHitSFX = "event:/magic/misc/magic_water_restoration",
			SpellTooltipString = "Heals the target.",
			SpellFXArgs = "Bone=Ground",
			requireLineOfSight = true,
			Skill = "ManifestationSkill",
			MinSkillRequired = 10,
			spellSkillLevel = 25,
			BeneficialSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "cast_heal",
			SpellDisplayName = "Heal",
			ReagentsRequired = false,
			Reagents = {
				"Ginseng",
			},
			Circle = 1,
		},
		Greaterheal = {
			PowerWords = "Greater Heal",
			SpellPower = 10,
			Icon = "restore",
			manaCost = 11,
			effectType = "InstantHitSpell",
			critChance = 5,
			SpellRange = 12,
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			critEffectTargetScript = "sp_heal_effect",
			SpellType = "HealTypeSpell",
			SpellPrimeFXName = "ConjurePrimeGreenEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandGreenEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandGreenEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandGreenEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellFXName = "GreaterHealEffect",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellHitSFX = "event:/magic/misc/magic_water_restoration",
			SpellTooltipString = "Greatly heals the target instantly.",
			SpellFXArgs = "Bone=Ground",
			requireLineOfSight = true,
			Skill = "ManifestationSkill",
			MinSkillRequired = 35,
			spellSkillLevel = 45,
			BeneficialSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "cast_heal",
			SpellDisplayName = "Greater Heal",
			ReagentsRequired = true,
			Reagents = {
				"Ginseng",
			},
			Circle = 4,
		},
		Resurrect = {
			PowerWords = "Resurrectionl",
			manaCost = 50,
			effectType = "InstantHitSpell",
			critChance = 1,
			SpellRange = 5,
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			TargetMustBeDead = true,
			SpellType = "BeneficialSpellType",
			SpellPrimeFXName = "ConjurePrimeGreenEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandGreenEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandGreenEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandGreenEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellPotencySkill = "ManifestationSkill",
			SpellPrimeSFX = "event:/magic/void/magic_void_cast_void",
			SpellHitSFX = "event:/magic/misc/magic_water_restoration",
			SpellTooltipString = "Resurrects the target instantly.",
			requireLineOfSight = true,
			Skill = "ManifestationSkill",
			MinSkillRequired = 60,
			spellSkillLevel = 20,
			BeneficialSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "cast_heal",
			spellHitEffectTargetScript = "sp_resurrect_effect",
			SpellDisplayName = "Resurrection",
			ReagentsRequired = false,
			Reagents = {
				"Moss",
			},
			Circle = 7,
		},
		Cloak = {
			PowerWords = "Cloak",
			manaCost = 14,
			upkeepCost = 1,
			effectType = "InstantHitSpell",
			SpellRange = 15,
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "HealTypeSpell",
			SpellFXName = "CloakEffect",
			SpellPrimeFXName = "ConjurePrimeYellowEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandYellowEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellPrimeSFX = "event:/magic/air/magic_air_cast_air",
			SpellHitSFX = "event:/magic/air/magic_air_cloack",
			SpellPotencySkill = "ManifestationSkill",
			SpellTooltipString = "Cloaks the target with invisibility.",
			requireLineOfSight = true,
			Skill = "ManifestationSkill",
			MinSkillRequired = 60,
			spellSkillLevel = 60,
			SpellEnabled = true,
			SpellFireAnim = "cast_cloak",
			SpellDisplayName = "Cloak",
			spellHitEffectTargetScript = "sp_cloak_effect",
			ReagentsRequired = false,
			BeneficialSpellType = true,
			Reagents = {
				"Mushrooms"
			},
			Circle = 6,
		},

		Teleport = {
			PowerWords = "Teleport",
			manaCost = 14,
			effectDamageType = "Bashing",
			effectType = "InstantHitSpell",
			SpellPower = 0,
			critChance = 1,
			SpellRange = 15,
			TargetType = "targetLocation",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "TeleportSpellType",
			SpellPrimeFXName = "ConjurePrimeBlueEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandBlueEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandBlueEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellPotencySkill = "ManifestationSkill",
			SpellPrimeSFX = "event:/magic/air/magic_air_cast_air",
			SpellTooltipString = "Teleports to the target location.",
			requireLineOfSight = true,
			Skill = "ManifestationSkill",
			MinSkillRequired = 50,
			spellSkillLevel = 65,
			AttackSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "cast_teleport",
			SpellDisplayName = "Teleport",
			SpellReleaseUserScript  = "sp_teleport_effect",
			DistanceDecayRate = -.2,
			DoNotReplaceTarget = true,
			InstantHitSpell = true,
			SpellLaunchSFX = "event:/magic/air/magic_air_teleport",
			ReagentsRequired = false,
			Reagents = {
				"Ginseng",
			},
			Circle = 3,
		},

		Portal = {
			PowerWords = "Portal",
			Icon = "bindtoportal",
			manaCost = 52,
			effectType = "InstantHitSpell",
			SpellPower = 0,
			critChance = 0,
			SpellRange = OBJECT_INTERACTION_RANGE,			
			CanBeInterrupted = true,
			SpellPrimeFXName = "ConjurePrimeBlueEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandBlueEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandBlueEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandBlueEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellType = "BuffTypeSpell",
			SpellPrimeSFX = "event:/magic/air/magic_air_cast_air",
			SpellTooltipString = "Cast on a marked rune to summon a portal for magical travel. Cannot be used in Dungeons, or inside player housing.",
			requireLineOfSight = true,
			Skill = "ManifestationSkill",
			MinSkillRequired = 20,
			spellSkillLevel = 30,
			AttackSpellType = false,
			SpellEnabled = true,
			SpellFireAnim = "cast_teleport",
			SpellDisplayName = "Portal",
			DistanceDecayRate = -.2,
			DoNotReplaceTarget = true,
			InstantHitSpell = true,
			SpellLaunchSFX = "event:/magic/air/magic_air_teleport",
			SpellPotencySkill = "ManifestationSkill",			

			TargetType = "targetObject",
			TargetRequired = true,
			TargetResource = "Rune",
			MobileEffect = "SummonPortal",

			ReagentsRequired = true,
			Reagents = {
				"Moss",
			},
			Circle = 7,
			CastTime = 6,
		},
		Cure = {
			PowerWords = "Cure",
			Icon = "regenfocus",
			manaCost = 6,
			effectType = "InstantHitSpell",
			critChance = 0,
			SpellRange = 15,
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "BeneficialSpellType",
			SpellFXName = "CureEffect",
			SpellFXArgs = "Bone=Ground",
			SpellPrimeFXName = "ConjurePrimeYellowEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandYellowEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellFXDuration = 3,
			SpellPotencySkill = "ManifestationSkill",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellHitSFX = "event:/magic/misc/magic_water_restoration",
			SpellTooltipString = "Cures the target of poison.",
			requireLineOfSight = true,
			Skill = "ManifestationSkill",
			BeneficialSpellType = true,
			MinSkillRequired = 20,
			spellSkillLevel = 30,
			AttackSpellType = false,
			SpellEnabled = true,
			SpellDisplayName = "Cure",
			spellHitEffectTargetScript = "sp_cure_effect",
			ReagentsRequired = false,
			Reagents = {
				"Ginseng",
			},
			Circle = 2,
		},
		Poison = {
			PowerWords = "Poison",
			Icon = "Poison Cloud",
			manaCost = 9,
			effectType = "InstantHitSpell",
			SpellPower = 5,
			critChance = 0,
			SpellRange = 12,
			TargetType = "targetMobile",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "MagicAttackTypeSpell",
			SpellPrimeFXName = "ConjurePrimeYellowEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandYellowEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandYellowEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellHitSFX = "event:/animals/worm/worm_pain",
			SpellTooltipString = "Poisons the target dealing damage over time and reducing healing.",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 20,
			spellSkillLevel = 30,
			AttackSpellType = true,
			SpellEnabled = true,
			SpellDisplayName = "Poison",
			TargetMobileEffect = "SpellPoison",
			ReagentsRequired = false,
			Reagents = {
				"Mushrooms",
			},
			Circle = 3,
		},

		Pillaroffire = {
			manaCost = 40,
			effectDamageType = "Fire",			
			effectType = "InstantHitSpell",
			SpellPower = 5,
			critChance = 12,
			SpellRange = 12,
			TargetType = "targetLocation",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "MagicAttackTypeSpell",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellTooltipString = "Summons a swirling vortex of fire at target location. Damaging anyone inside repeatedly for the duration.",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 70,
			spellSkillLevel = 65,
			AttackSpellType = true,
			SpellEnabled = false,
			SpellFireAnim = "cast_lightning",
			SpellDisplayName = "Pillar of Fire",
			SpellReleaseUserScript  = "sp_pillar_of_fire_effect",
			SpellPotencySkill = "EvocationSkill",
			DistanceDecayRate = -.2,
			DoNotReplaceTarget = true,
			InstantHitSpell = true,
			SpellLaunchSFX = "event:/magic/fire/magic_fire_cast_fire",
			critEffectTargetScript = "sp_burn_effect",
			AffinityRequired = {
						Fire = 1,
			},
			ReagentsRequired = false,
			Reagents = {
				"LemonGrass"
			},
			Circle = 7,
		},	

		Icerain = {
			Icon = "icestorm",
			manaCost = 90,
			effectDamageType = "Piercing",			
			effectType = "InstantHitSpell",
			SpellPower = 5,
			critChance = 4,
			SpellRange = 12,
			TargetType = "targetLocation",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "MagicAttackTypeSpell",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimedFXName = "PrimedWater2",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellTooltipString = "Rains down shards of ice at target location.",
			SpellFXArgs = "Bone=Ground",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 80,
			spellSkillLevel = 70,
			AttackSpellType = true,
			SpellEnabled = false,
			SpellFireAnim = "cast_lightning",
			SpellDisplayName = "Ice Storm",
			SpellReleaseUserScript  = "sp_ice_rain_effect",
			DistanceDecayRate = -.2,
			DoNotReplaceTarget = true,
			InstantHitSpell = true,
			SpellLaunchSFX = "event:/magic/water/magic_water_cast_water",
			critEffectTargetScript = "sp_freeze_effect",
			AffinityRequired = {
						Water = 1,
			},
			ReagentsRequired = false,
			Reagents = {
				"LemonGrass"
			},
			Circle = 8,
		},	
		Blackhole = {
			manaCost = 120,
			effectDamageType = "Void",			
			effectType = "InstantHitSpell",
			SpellPower = 5,
			critChance = 3,
			SpellRange = 12,
			TargetType = "targetLocation",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "MagicAttackTypeSpell",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellPrimedFXName = "PrimedVoid2",
			SpellPrimeSFX = "event:/magic/void/magic_void_cast_void",
			SpellTooltipString = "Rupture space and time using magic, creating a black hole.",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 100,
			spellSkillLevel = 85,
			AttackSpellType = true,
			SpellEnabled = false,
			SpellFireAnim = "cast_lightning",
			SpellDisplayName = "Black Hole",
			SpellReleaseUserScript  = "sp_blackhole_effect",
			DistanceDecayRate = -.2,
			DoNotReplaceTarget = true,
			InstantHitSpell = true,
			SpellLaunchSFX = "event:/magic/void/magic_void_cast_void",
			AffinityRequired = {
						Void = 5,
			},
			ReagentsRequired = false,
			Reagents = {
				"LemonGrass"
			},
			Circle = 8,
		},			
		
		Auraoffire = {
			manaCost = 15,
			upkeepCost = -5,
			effectDamageType = "Fire",			
			effectType = "InstantHitSpell",
			SpellPower = 5,
			critChance = 10,
			SpellRange = 0,
			TargetType = "Self",
			TargetRequired = false,
			CanBeInterrupted = true,
			SpellType = "MagicAttackTypeSpell",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimedFXName = "PrimedFire2",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
			SpellTooltipString = "Creates an Aura of fire surrounding the caster which damages targets around them. \n (Caster has reduced movement speed while under the effect)",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 40,
			spellSkillLevel = 50,
			AttackSpellType = true,
			SpellEnabled = false,
			SpellFireAnim = "cast_fire",
			SpellDisplayName = "Flame Aura",
			completionEffectUserScript  = "sp_flameaura_effect",
			DistanceDecayRate = -.2,
			DoNotReplaceTarget = true,
			InstantHitSpell = true,
			SpellLaunchSFX = "event:/magic/fire/magic_fire_cast_fire",
			critEffectTargetScript = "sp_burn_effect",
			AffinityRequired = {
					Fire = 3,
				},
			ReagentsRequired = false,
			Reagents = {
				"LemonGrass"
			},
			Circle = 8,
		},
		Walloffire = {
			PowerWords = "Wall Of Fire",
			manaCost = 11,
			effectDamageType = "Fire",
			effectType = "InstantHitSpell",
			SpellPower = 5,
			critChance = 10,
			SpellRange = 12,
			TargetType = "targetLocation",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "WallSpellType",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellTooltipString = "Creates a wall of fire between 2 points.",
			Skill = "EvocationSkill",
			MinSkillRequired = 50,
			spellSkillLevel = 60,
			AttackSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "cast_fire",
			SpellDisplayName = "Wall Of Fire",
			SpellReleaseUserScript  = "sp_firewall_effect",
			DoNotReplaceTarget = true,
			critEffectTargetScript = "sp_burn_effect",
			InstantHitSpell = true,
			requireLineOfSight = true,
			SpellLaunchSFX = "event:/magic/fire/magic_fire_cast_fire",
			AffinityRequired = {
				Fire = 4,
			},
			ReagentsRequired = false,
			Reagents = {
				"LemonGrass"
			},
			Circle = 4,
		},	
		Flamewave = {
			manaCost = 48,
			effectDamageType = "Fire",
			effectType = "InstantHitSpell",
			SpellPower = 5,
			critChance = 20,
			SpellRange = 12,
			TargetType = "targetLocation",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "WallSpellType",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellTooltipString = "Shoots out a wave of flames toward target area.",
			Skill = "EvocationSkill",
			MinSkillRequired = 35,
			spellSkillLevel = 50,
			AttackSpellType = true,
			SpellEnabled = false,
			SpellFireAnim = "cast_heal",
			SpellDisplayName = "Flame Wave",
			SpellReleaseUserScript  = "sp_flamewave_effect",
			DoNotReplaceTarget = true,
			critEffectTargetScript = "sp_burn_effect",
			InstantHitSpell = true,
			requireLineOfSight = true,
			SpellLaunchSFX = "event:/magic/fire/magic_fire_cast_fire",
			AffinityRequired = {
				Fire = 3,
			},
			ReagentsRequired = false,
			Reagents = {
				"LemonGrass"
			},
			Circle = 8,
		},	
		Spikepath = {
			manaCost = 80,
			CanBeDodged = true,
			CanBeBlocked = true,
			CanBeParried = true,
			effectDamageType = "Piercing",
			effectType = "InstantHitSpell",
			SpellPower = 5,
			critChance = 5,
			SpellRange = 12
			,
			TargetType = "targetLocation",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "WallSpellType",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimedFXName = "PrimedEarth2",
			SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellTooltipString = "Shoots out ground spikes toward target area.",
			Skill = "EvocationSkill",
			MinSkillRequired = 70,
			spellSkillLevel = 60,
			AttackSpellType = true,
			SpellEnabled = false,
			SpellFireAnim = "cast_earth",
			SpellDisplayName = "Spike Path",
			SpellReleaseUserScript  = "sp_spikepath_effect",
			DoNotReplaceTarget = true,
			InstantHitSpell = true,
			requireLineOfSight = true,
			SpellLaunchSFX = "event:/magic/fire/magic_fire_cast_fire",
			AffinityRequired = {
				Earth = 3,
			},
			ReagentsRequired = false,
			Reagents = {
				"LemonGrass"
			},
			Circle = 8,
		},			
		Iceblade = {
			manaCost = 30,
			upkeepCost = 0,
			effectDamageType = "Piercing",
			effectType = "InstantHitSpell",
			SpellRange = 0,
			TargetType = "TargetEquipSlot",
			TargetRequired = false,
			CanBeInterrupted = true,
			SpellType = "EffectTypeSpell",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellTooltipString = "Teh leetness",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 30,
			spellSkillLevel = 30,
			SpellEnabled = false,
			SpellFireAnim = "",
			SpellDisplayName = "",
			ReagentsRequired = false,
			Reagents = {
				"LemonGrass"
			},
			Circle = 8,
		},
		Earthquake = {
			PowerWords = "Earthquake",
			manaCost = 100,
			upkeepCost = 0,
			--effectDamageType = "Bashing",	If earthquake breaks we know.		
			effectType = "InstantHitSpell",
			SpellPower = 8,
			critChance = 20,
			SpellRange = 15,
			TargetType = "Self",
			TargetRequired = false,
			CanBeInterrupted = true,
			SpellType = "MagicAttackTypeSpell",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimedFXName = "PrimedEarth2",
			SpellPrimeSFX = "event:/magic/fire/magic_fire_cast_fire",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellTooltipString = "Shakes the earth around the caster dealing damage.",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			MinSkillRequired = 90,
			spellSkillLevel = 75,
			AttackSpellType = true,
			SpellEnabled = true,
			SpellFireAnim = "cast_fire",
			SpellDisplayName = "Earthquake",
			completionEffectUserScript  = "sp_earthquake_effect",
			DistanceDecayRate = -.05,
			DoNotReplaceTarget = true,
			InstantHitSpell = true,
			SpellLaunchSFX = "event:/magic/fire/magic_fire_cast_fire",
			critEffectTargetScript = "sp_shaken_slow_effect",
			Reagents = {
				"LemonGrass"
			},
			Circle = 8,
		},
		Energywall = {
			PowerWords = "Wall of Energy",
			manaCost = 40,
			effectDamageType = "Energy",
			effectType = "InstantHitSpell",
			SpellPower = 5,
			critChance = 10,
			SpellRange = 12,
			TargetType = "targetLocation",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "WallSpellType",
			SpellPotencySkill = "EvocationSkill",
			SpellPrimeSFX = "CastAir",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellTooltipString = "Creates a wall of energy between 2 points.",
			Skill = "EvocationSkill",
			MinSkillRequired = 50,
			spellSkillLevel = 60,
			AttackSpellType = true,
			SpellEnabled = false,
			SpellFireAnim = "cast_air",
			SpellDisplayName = "Wall of Energy",
			SpellReleaseUserMobileEffect  = "Energywall",
			DoNotReplaceTarget = true,
			InstantHitSpell = true,
			requireLineOfSight = true,
			SpellLaunchSFX = "CastFire",
			AffinityRequired = {
				Fire = 4,
			},
			ReagentsRequired = false,
			Reagents = {
				"LemonGrass"
			},
			Circle = 6,
		},	


		Energyvortex = {
			PowerWords = "Kor Nex Vul",
			Icon = "summonimp",
			manaCost = 50,
			effectType = "InstantHitSpell",
			SpellRange = 12,
			TargetType = "targetLocation",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "BeneficialSpellType",
			SpellPrimeSFX = "event:/magic/void/magic_void_cast_void",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellHitSFX = "event:/magic/void/magic_void_spawn_imp",
			SpellTooltipString = "Summons an uncontrollable Vortex of Energy.",
			requireLineOfSight = true,
			Skill = "ManifestationSkill",
			SpellPotencySkill = "ManifestationSkill",
			MinSkillRequired = 50,
			spellSkillLevel = 60,
			SpellEnabled = false,
			SpellFireAnim = "cast_heal",
			SpellReleaseUserScript  = "sp_energy_vortex",
			SpellDisplayName = "Energy Vortex",
			Reagents = {
				"LemonGrass",
			},
			Circle = 8
		},
		Arcanestorm = {
			Icon = "lightningmastery",
			manaCost = 14,
			effectType = "InstantHitSpell",
			SpellRange = 12,
			TargetType = "targetLocation",
			TargetRequired = true,
			CanBeInterrupted = true,
			SpellType = "BeneficialSpellType",
			SpellPrimeSFX = "event:/magic/water/magic_water_cast_water2",
			SpellPrimeFXName = "ConjurePrimeRedEffect",
            SpellPrimeFXArgs = "Bone=Ground",
            SpellPrimeFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimeFX2Args = "Bone=L_Hand",
            SpellPrimedFXName = "MagicPrimeHandRedEffect",
            SpellPrimedFXArgs = "Bone=R_Hand",
            SpellPrimedFX2Name = "MagicPrimeHandRedEffect",
            SpellPrimedFX2Args = "Bone=L_Hand",
			SpellHitSFX = "event:/magic/void/magic_void_spawn_imp",
			SpellTooltipString = "Summons an uncontrollable Arcane Storm.",
			requireLineOfSight = true,
			Skill = "EvocationSkill",
			SpellPotencySkill = "ManifestationSkill",
			MinSkillRequired = 50,
			spellSkillLevel = 60,
			SpellEnabled = false,
			SpellFireAnim = "cast_heal",
			SpellReleaseUserScript  = "sp_arcane_storm",
			SpellDisplayName = "Summon Arcane Storm",
			Reagents = {
				"LemonGrass",
			},
			Circle = 8	
		},
	},
}
