require 'base_merchant'
require 'base_skill_trainer'

SPEAK_DELAY = 15000			-- 15 second interval between greetings
lastHelloTime = 0
lastGoodbyeTime = 0
AI.Settings.StationedLeash = true

AI.InteractMessages = {
	"Hello there, is there something I can help you with?",
	"Nice to see you, everything here is nice and tight.",
	"So many travelers in these parts as of late, how can I assist you?",
}

AddView("MerchantNearbyPlayer", SearchPlayerInRange(OBJECT_INTERACTION_RANGE),2.0)

RegisterEventHandler(EventType.EnterView, "MerchantNearbyPlayer", 
	function(target)
	    --DebugMessage("npc:HandleEnterView(" .. tostring(target) .. ")")

	    -- Only speak if enough time has passed since last greeting
	    if ((lastHelloTime + SPEAK_DELAY) < ServerTimeMs()) then
	    	Speak{Text="Hello there. See anything you like?"}
	    	Speak{Text="I have more for sale in these containers."}
	    	FaceObject(this,target)
	    	lastHelloTime = ServerTimeMs()
	    end
	end)

RegisterEventHandler(EventType.LeaveView, "MerchantNearbyPlayer", 
	function(target)
		if ((lastGoodbyeTime + SPEAK_DELAY) < ServerTimeMs()) then
			Speak{Text="Goodbye."}
			lastGoodbyeTime = ServerTimeMs()
		end
	end)

RegisterEventHandler(EventType.Message, "UseObject", 
	function(user,usedType)
		if(usedType ~= "Interact") then return end
		
		FaceObject(this,user)
	    this:StopMoving()

		response = {}
		text = AI.InteractMessages[math.random(1,#AI.InteractMessages)]
		response_index = 0
		-- if (AI.GetSetting("EnableBuy") ~= nil and AI.GetSetting("EnableBuy") == true) then
		--     response[response_index+1] = {}
		--     response[response_index+1].text = "I want to buy something."
		--     response[response_index+1].handle = "Buy" 
		    
		--     response[response_index+2] = {}
		--     response[response_index+2].text = "How much would you buy this for?"
		--     response[response_index+2].handle = "Appraise" 

		--     response[response_index+3] = {}
		--     response[response_index+3].text = "I wish to sell something..."
		--     response[response_index+3].handle = "Sell" 
		-- 	response_index = response_index + 3
		-- end

	    if (AI.GetSetting("EnableBank") ~= nil and AI.GetSetting("EnableBank") == true) then
	        response[response_index+1] = {}
	        response[response_index+1].text = "I want to bank items."
	        response[response_index+1].handle = "Bank" 
	        response_index = response_index + 1
			
			response[response_index+1] = {}
			response[response_index+1].text = "I want to buy something."
			response[response_index+1].handle = "Buy"
			response_index = response_index + 1	        
	    end

	    if (CanTrain()) then
			response[response_index+1] = {}
			response[response_index+1].text = "Train me in this skill..."
			response[response_index+1].handle = "Train"
			response_index = response_index + 1 
		end 

	    response[response_index+1] = {}
	    response[response_index+1].text = "Nevermind"
	    response[response_index+1].handle = "" 
	    response_index = response_index + 1

		NPCInteractionLongButton(text,this,user,"merchant_interact",response)

	end)

RegisterEventHandler(EventType.DynamicWindowResponse,"merchant_interact", 
	function (user,menuIndex)
	    if( menuIndex == 0 ) then return end
	    if( user == nil or not(user:IsValid())) then return end
	    if( user:DistanceFrom(this) > OBJECT_INTERACTION_RANGE) then return end

	    if( menuIndex == "Bank" ) then
	    	OpenBank(user,this)
	    	user:CloseDynamicWindow("merchant_interact")
	    elseif( menuIndex == "Appraise" ) then	
	    	Merchant.DoAppraise(user)
	    elseif( menuIndex == "Sell" ) then
	    	Merchant.DoSell(user)
	    elseif( menuIndex == "Train" ) then
	    	SkillTrainer.ShowTrainContextMenu(user)
	    	user:CloseDynamicWindow("merchant_interact")
	    elseif (menuIndex == "Buy") then
	    	QuickDialogMessage(this,user,AI.HowToPurchaseMessages[math.random(1,#AI.HowToPurchaseMessages)])
	    elseif (menuIndex == "Close") then
	    	user:CloseDynamicWindow("merchant_interact")
	    end
	end)