-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
function getIf(mBool, v1, v2)
    if mBool then 
        return v1
    else
        return v2
    end
end

function SaveIt(user)
	if(user:GetObjVar("ModName") ~= nil) then
		local file = io.open("mods/".. user:GetObjVar("ModName") .."/templates/regions/junka.lua","w")
		if(file ~= nil) then
			local directory = "mods/".. user:GetObjVar("ModName") .."/templates/regions/"
			local name, color = StripColorFromString(this:GetName())
			name = name:lower()
			name = string.gsub(name,"- ","")
			name = string.gsub(name,"-","")
			name = string.gsub(name,"'","")
			local filename = string.gsub(name," ","_")
			if(filename=="region") then
				user:SystemMessage("[FF7700]Name Error")
				user:SystemMessage("[FFDD00]you can not save as region...rename your region then try again.")
				return
			end
			local fullpath = directory .. filename .. ".xml"

			CreateTemplate(fullpath,user)
			--CallFunctionDelayed(TimeSpan.FromMilliseconds(1000),function ( ... ) ReloadTemplates() end)
		else
			user:SystemMessage("[FF7700]-------------------------------------------------")
			user:SystemMessage("[22FF22]                  -[SETUP REQUIRED]-")
			user:SystemMessage("[FF7700]-------------------------------------------------")
			user:SystemMessage("[22FF22]Simply Do The Following")
			user:SystemMessage("[FFFFBB]I see you completed step 1 by creating your ModName variable. One more step and we will be ready. Create a folder named [FF7700]'regions' [FFFFBB] in your mods/"..user:GetObjVar("ModName").."/templates directory")
		end
	else
		user:SystemMessage("[FF7700]-------------------------------------------------")
		user:SystemMessage("[22FF22]                  -[SETUP REQUIRED]-")
		user:SystemMessage("[FF7700]-------------------------------------------------")
		user:SystemMessage("[22FF22]Simply Do The Following")
		user:SystemMessage("[FFFFBB]Add a string variable named [FF7700]'ModName'[FFFFBB] to your character. Name this variable the same name as your mod name, remember folders are case sensitive. This is so you can save these templates directly to your mod folder. These templates will be placed in the following directory [FF7700]'yourmod/templates/merchants'")
	end
end

function CreateTemplate(fullpath,user)
	local file = io.open(fullpath,"w")
	file:write("<?xml version=\"1.0\" encoding=\"utf-8\"?>\n")
	file:write("<ObjectTemplate xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\" xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\">\n")
	file:write("\t<ClientId>2</ClientId>\n")
	file:write("\t<Color>" .. this:GetColor() .. "</Color>\n")
	file:write("\t<Hue>" .. this:GetHue() .. "</Hue>\n")
	file:write("\t<Name>" .. this:GetName() .. "</Name>\n")
	
	file:write("\t<ObjectVariableComponent>\n")
		file:write("\t\t<StringVariable Name=\"SearchType\">Region Controller</StringVariable>\n")
		file:write("\t\t<BoolVariable Name=\"Active\">".. getIf(this:GetObjVar("Active"),"true","false") .."</BoolVariable>\n")
		file:write("\t\t<DoubleVariable Name=\"HeartBeat_Speed\">".. this:GetObjVar("HeartBeat_Speed") .."</DoubleVariable>\n")
		file:write("\t\t<BoolVariable Name=\"NoReset\">true</BoolVariable>\n")
		file:write("\t\t<StringVariable Name=\"OnEnter_Message\">"..this:GetObjVar("OnEnter_Message").."</StringVariable>\n")
		file:write("\t\t<StringVariable Name=\"OnExit_Message\">"..this:GetObjVar("OnExit_Message").."</StringVariable>\n")
	file:write("\t</ObjectVariableComponent>\n")
	
	file:write("\t<ScriptEngineComponent>\n")
		file:write("\t\t<LuaModule Name=\"region\">\n")
			file:write("\t\t\t<Initializer>\n")
			file:write("\t\t\t{\n")
				WriteOnEnterMobile(file)
				WriteOnExitMobile(file)
				WriteOnEnterPlayer(file)
				WriteOnExitPlayer(file)
				WriteMessageTypeInfo(file)
				WriteRegionBounds(file)
	        file:write("\t\t\t}\n")
			file:write("\t\t\t</Initializer>\n")
		file:write("\t\t</LuaModule>\n")
	file:write("\t</ScriptEngineComponent>\n")
	file:write("</ObjectTemplate>")

	file:close()
	user:SystemMessage("[FF7700]"..fullpath.."[FFFFBB]... scripted and saved!")		
end

function WriteOnEnterMobile(file)
	if(#this:GetObjVar("OnEnter_AddModToMobile") <= 0) then return end
	file:write("\t\t\t\tOnEnterMobile =\n")
	file:write("\t\t\t\t{\n")
	for i,template in pairs(this:GetObjVar("OnEnter_AddModToMobile")) do
		file:write("\t\t\t\t\t\""..template.."\",\n")
	end
	file:write("\t\t\t\t},\n")
end

function WriteOnExitMobile(file)
	if(#this:GetObjVar("OnExit_AddModToMobile") <= 0) then return end
	file:write("\t\t\t\tOnExitMobile =\n")
	file:write("\t\t\t\t{\n")
	for i,template in pairs(this:GetObjVar("OnExit_AddModToMobile")) do
		file:write("\t\t\t\t\t\""..template.."\",\n")
	end
	file:write("\t\t\t\t},\n")
end

function WriteOnEnterPlayer(file)
	if(#this:GetObjVar("OnEnter_AddModToPlayer") <= 0) then return end
	file:write("\t\t\t\tOnEnterPlayer =\n")
	file:write("\t\t\t\t{\n")
	for i,template in pairs(this:GetObjVar("OnEnter_AddModToPlayer")) do
		file:write("\t\t\t\t\t\""..template.."\",\n")
	end
	file:write("\t\t\t\t},\n")
end

function WriteOnExitPlayer(file)
	if(#this:GetObjVar("OnExit_AddModToPlayer") <= 0) then return end
	file:write("\t\t\t\tOnExitPlayer =\n")
	file:write("\t\t\t\t{\n")
	for i,template in pairs(this:GetObjVar("OnExit_AddModToPlayer")) do
		file:write("\t\t\t\t\t\""..template.."\",\n")
	end
	file:write("\t\t\t\t},\n")
end

function WriteMessageTypeInfo(file)
	file:write("\t\t\t\tMessageTypeInfo =\n")
	file:write("\t\t\t\t{\n")
	file:write("\t\t\t\t\t" .. "OnEnter = {System=\""..this:GetObjVar("MessageTypeInfo")["OnEnter"]["System"].."\",Info=\""..this:GetObjVar("MessageTypeInfo")["OnEnter"]["Info"].."\",Event=\""..this:GetObjVar("MessageTypeInfo")["OnEnter"]["Event"].."\"},\n\t\t\t\t\tOnExit = {System=\""..this:GetObjVar("MessageTypeInfo")["OnExit"]["System"].."\",Info=\""..this:GetObjVar("MessageTypeInfo")["OnExit"]["Info"].."\",Event=\""..this:GetObjVar("MessageTypeInfo")["OnExit"]["Event"].."\"},\n")
	file:write("\t\t\t\t},\n")
end

function WriteRegionBounds(file)
	file:write("\t\t\t\tRegionBounds =\n")
	file:write("\t\t\t\t{\n")
		file:write("\t\t\t\t\t".."Bounds_X=".. this:GetObjVar("Bounds_X") ..",\n")
		file:write("\t\t\t\t\t".."Bounds_Z=".. this:GetObjVar("Bounds_Z") ..",\n")
		file:write("\t\t\t\t\t".."Bounds_Width=".. this:GetObjVar("Bounds_Width") ..",\n")
		file:write("\t\t\t\t\t".."Bounds_Height=".. this:GetObjVar("Bounds_Height") ..",\n")
	file:write("\t\t\t\t},\n")
end