-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
require 'default:scriptcommands'
require 'systems_factions_window'
require 'scriptcommands_item_properties'
require 'project_phoenix_admin_window'
require 'scriptcommands_web_browser'
require 'scriptcommands_test_ui'
RegisterEventHandler(EventType.ClientTargetGameObjResponse, "editfaction", 
function(target)
   	ShowFactionWindow(this,target)
end)

function EditFaction()
	this:RequestClientTargetGameObj(this, "editfaction")
	this:SystemMessage("Target a player to edit their faction table.")
end

RegisterEventHandler(EventType.ClientTargetGameObjResponse, "editfaction", 
function(target)
   	ShowFactionWindow(this,target)
end)

function ToggleLockDown()
    this:RequestClientTargetGameObj(this, "togglelockdown")
end

RegisterEventHandler(EventType.ClientTargetGameObjResponse, "togglelockdown", 
function(target)
    target:SetSharedObjectProperty("Weight",-1)
end)

function TogglePermanent()
    this:RequestClientTargetGameObj(this, "togglepermanent")
end

function SaveWorldSpawners()
	local count = 0
	local regionAddress = GetRegionAddress()
	local path = "data/spawners/"..tostring(regionAddress)..".xml"
	local file = io.open(path,"w")
	file:write("<?xml version=\"1.0\" encoding=\"utf-8\"?>\n")
	local spawnerList = FindObjects(SearchObjVar("WorldSave",true))
	if(#spawnerList > 0) then
		file:write("<Spawners>\n")
		for spawnerIndex, spawner in pairs(spawnerList) do
			count = count + 1
			if(spawner:GetObjVar("SearchType") == "Spawner" and spawner:GetCreationTemplateId() ~= "spawner") then
				if not(spawner:HasObjVar("parentSpawner")) then
					file:write("\t<Spawner>\n")
					file:write("\t\t<RegionAddress>".. tostring(regionAddress) .."</RegionAddress>\n")
					file:write("\t\t<Template>"..spawner:GetCreationTemplateId().."</Template>\n")
					file:write("\t\t<Location>"..spawner:GetLoc().X..","..spawner:GetLoc().Y..","..spawner:GetLoc().Z.."</Location>\n")
					file:write("\t\t<Rotation>"..spawner:GetRotation().X..","..spawner:GetRotation().Y..","..spawner:GetRotation().Z.."</Rotation>\n")
					file:write("\t</Spawner>\n")	
				end
			end
		end
		file:write("</Spawners>")
	end
	file:close()
	this:SystemMessage(count.." [FFFF00]spawners saved for [FF7700] "..regionAddress,"event")
	this:SystemMessage(count.." [FFFF00]spawners saved for [FF7700] "..regionAddress)
end

function LoadWorldSpawners()
	local count = 0
	local regionAddress = GetRegionAddress()
	local path = "data/spawners/"..tostring(regionAddress)..".xml"
	local file = io.open(path,"r")
	local line = file:read("*line")
	local address = nil
	local template = nil
	local location = nil
	local rotation = nil
	while (line ~= nil) do
		if(line == "\t<Spawner>") then
			count = count + 1
			address = file:read("*line")
			template = file:read("*line")
			location = file:read("*line")
			rotation = file:read("*line")
			address = string.gsub(template,"<Template>","")
			address = string.gsub(template,"</Template>","")
			address = string.gsub(template,"\n","")
			address = string.gsub(template,"\t","")
			template = string.gsub(template,"<Template>","")
			template = string.gsub(template,"</Template>","")
			template = string.gsub(template,"\n","")
			template = string.gsub(template,"\t","")	    			
			location = string.gsub(location,"<Location>","")
			location = string.gsub(location,"</Location>","")
			location = string.gsub(location,"\n","")
			location = string.gsub(location,"\t","")	    			
			rotation = string.gsub(rotation,"<Rotation>","")
			rotation = string.gsub(rotation,"</Rotation>","")
			rotation = string.gsub(rotation,"\n","")
			rotation = string.gsub(rotation,"\t","")
			location = Loc(tonumber(StringSplit(location,",")[1]),tonumber(StringSplit(location,",")[2]),tonumber(StringSplit(location,",")[3]))
			rotation = Loc(tonumber(StringSplit(rotation,",")[1]),tonumber(StringSplit(rotation,",")[2]),tonumber(StringSplit(rotation,",")[3]))

			CreateObj(template,location,"WorldLoadedSpawner",rotation)
		end
		line = file:read("*line")
	end
	file:close()
	this:SystemMessage(count.." [FFFF00]spawners loaded for [FF7700] "..regionAddress,"event")
	this:SystemMessage(count.." [FFFF00]spawners loaded for [FF7700] "..regionAddress)
end

function LoadPermanentObjects()
	local count = 0
	local regionAddress = GetRegionAddress()
	local path = "data/world_objects/"..tostring(regionAddress)..".xml"
	local file = io.open(path,"r")
	local line = file:read("*line")
	local address = nil
	local template = nil
	local location = nil
	local rotation = nil
	local hue = nil
	local color = nil
	local name = nil
	while (line ~= nil) do
		if(line == "\t<WorldObject>") then
			count = count + 1
			address = file:read("*line")
			template = file:read("*line")
			location = file:read("*line")
			rotation = file:read("*line")
			hue = file:read("*line")
			color = file:read("*line")
			name = file:read("*line")
			address = string.gsub(template,"<Template>","")
			address = string.gsub(template,"</Template>","")
			address = string.gsub(template,"\n","")
			address = string.gsub(template,"\t","")
			template = string.gsub(template,"<Template>","")
			template = string.gsub(template,"</Template>","")
			template = string.gsub(template,"\n","")
			template = string.gsub(template,"\t","")	    			
			location = string.gsub(location,"<Location>","")
			location = string.gsub(location,"</Location>","")
			location = string.gsub(location,"\n","")
			location = string.gsub(location,"\t","")	    			
			rotation = string.gsub(rotation,"<Rotation>","")
			rotation = string.gsub(rotation,"</Rotation>","")
			rotation = string.gsub(rotation,"\n","")
			rotation = string.gsub(rotation,"\t","")

			hue = string.gsub(hue,"<Hue>","")
			hue = string.gsub(hue,"</Hue>","")
			hue = string.gsub(hue,"\n","")
			hue = string.gsub(hue,"\t","")
			color = string.gsub(color,"<Color>","")
			color = string.gsub(color,"</Color>","")
			color = string.gsub(color,"\n","")
			color = string.gsub(color,"\t","")
			name = string.gsub(name,"<Name>","")
			name = string.gsub(name,"</Name>","")
			name = string.gsub(name,"<Name/>","")
			name = string.gsub(name,"\n","")
			name = string.gsub(name,"\t","")

			local id = nil
			if(template == "blank") then
				id = file:read("*line")
				id = string.gsub(id,"<Id>","")
				id = string.gsub(id,"</Id>","")
				id = string.gsub(id,"<Id/>","")
				id = string.gsub(id,"\n","")
				id = string.gsub(id,"\t","")			
			end
			if(id == nil) then
				location = Loc(tonumber(StringSplit(location,",")[1]),tonumber(StringSplit(location,",")[2]),tonumber(StringSplit(location,",")[3]))
				rotation = Loc(tonumber(StringSplit(rotation,",")[1]),tonumber(StringSplit(rotation,",")[2]),tonumber(StringSplit(rotation,",")[3]))
				CreateObj(template,location,"WorldLoadedObjects",{Hue=hue,Color=color,Name=name,Template=template,Location=location,Rotation=rotation})
			else
				local tableData = nil
				for k,v in pairs(CLIENTIDREFERENCE) do
					if(v.Id == id) then
						tableData = v
					end
				end	
				if(tableData ~= nil) then
					local templateData = GetTemplateData("blank")
					templateData.Name = tableData.Name
					templateData.ClientId = tonumber(tableData.Id)
					location = Loc(tonumber(StringSplit(location,",")[1]),tonumber(StringSplit(location,",")[2]),tonumber(StringSplit(location,",")[3]))
					rotation = Loc(tonumber(StringSplit(rotation,",")[1]),tonumber(StringSplit(rotation,",")[2]),tonumber(StringSplit(rotation,",")[3]))
					CreateCustomObj("blank",templateData,location,"WorldLoadedObjects",{Hue=hue,Color=color,Name=name,Template=template,Location=location,Rotation=rotation})
				end
			end
		end
		line = file:read("*line")
	end
	file:close()
	this:SystemMessage(count.." [FFFF00]permanent objects loaded for [FF7700] "..regionAddress,"event")
	this:SystemMessage(count.." [FFFF00]permanent objects loaded for [FF7700] "..regionAddress)
end

RegisterEventHandler(EventType.CreatedObject, "WorldLoadedObjects", 
function(success, objref, info)
	if(success == true) then
		objref:SetHue(tonumber(info.Hue))
		objref:SetColor(info.Color)
		objref:SetObjVar("PermanentWorldObject",true)
		objref:SetObjVar("Name",info.Name)
		objref:SetSharedObjectProperty("Weight",-1)
		objref:SetRotation(info.Rotation)
		CallFunctionDelayed(TimeSpan.FromMilliseconds(100),
		function ( ... ) 
			objref:SetName(info.Name) 
		end)
	else
		print("Error Loading World Object")
	end
end)

RegisterEventHandler(EventType.CreatedObject, "WorldLoadedSpawner", 
function(success, objref, rotation)
	if(success == true) then
		objref:SetRotation(rotation)
	else
		print("Error Loading Spawner Object")
	end
end)

function SavePermanentObjects()
	local count = 0
	local regionAddress = GetRegionAddress()
	local path = "data/world_objects/"..tostring(regionAddress)..".xml"
	local file = io.open(path,"w")
	file:write("<?xml version=\"1.0\" encoding=\"utf-8\"?>\n")
	local objectList = FindObjects(SearchObjVar("PermanentWorldObject",true))
	if(#objectList > 0) then
		file:write("<WorldObjects>\n")
		for objectIndex, object in pairs(objectList) do
			count = count + 1
			file:write("\t<WorldObject>\n")
			file:write("\t\t<RegionAddress>".. tostring(regionAddress) .."</RegionAddress>\n")
			file:write("\t\t<Template>"..object:GetCreationTemplateId().."</Template>\n")
			file:write("\t\t<Location>"..object:GetLoc().X..","..object:GetLoc().Y..","..object:GetLoc().Z.."</Location>\n")
			file:write("\t\t<Rotation>"..object:GetRotation().X..","..object:GetRotation().Y..","..object:GetRotation().Z.."</Rotation>\n")
			file:write("\t\t<Hue>"..object:GetHue().."</Hue>\n")
			file:write("\t\t<Color>"..object:GetColor().."</Color>\n")
			file:write("\t\t<Name>"..object:GetName().."</Name>\n")
			if(object:GetCreationTemplateId()=="blank") then
				file:write("\t\t<Id>"..object:GetIconId().."</Id>\n")
			end
			file:write("\t</WorldObject>\n")	
		end
		file:write("</WorldObjects>")
	end
	file:close()
	this:SystemMessage(count.." [FFFF00]permanent objects saved for [FF7700] "..regionAddress,"event")
	this:SystemMessage(count.." [FFFF00]permanent objects saved for [FF7700] "..regionAddress)
end

RegisterEventHandler(EventType.ClientTargetGameObjResponse, "togglepermanent", 
function(target)
	if(target:IsMobile()== true) then 
		this:SystemMessage("Cant target mobiles...")
		return false
	end
	if(target:HasObjVar("PermanentWorldObject") == false) then
    	target:SetSharedObjectProperty("Weight",-1)
    	target:SetObjVar("NoReset",true)
    	target:SetObjVar("PermanentWorldObject",true)
    	this:SystemMessage("You make this "..target:GetName().. " a permanent part of this world.")
    	SavePermanentObjects(this)
    else
    	target:SetSharedObjectProperty("Weight",1)
    	target:DelObjVar("NoReset")
    	target:DelObjVar("PermanentWorldObject")
    	this:SystemMessage("You removed this "..target:GetName().. " from the worlds clutches.")
    	SavePermanentObjects(this)
    end
end)

--This fixes all spawners after a world reset
-- DefaultCommandFuncs.DestroyAll = function(arg)
-- 		if(arg and arg:match("force")) then
-- 			DestroyAllObjects(true)
-- 		elseif(arg and arg:match("ignorenoreset")) then
-- 			DestroyAllObjects(false)
-- 		else
-- 			ClientDialog.Show{
-- 			    TargetUser = this,
-- 			    DialogId = "DestroyAllDialog",
-- 			    TitleStr = "WARNING",
-- 			    DescStr = "[$2466]",
-- 			    Button1Str = "Yes",
-- 			    Button2Str = "No",
-- 			    ResponseFunc = function ( user, buttonId )
-- 					buttonId = tonumber(buttonId)
-- 					if( buttonId == 0) then
-- 						--SPAWNER EDIT, Added "SpawnerReset" to
-- 						--so it fixes the spawner entries
-- 						--oldcode: DestroyAllObjects(true)				
-- 						DestroyAllObjects(true,"SpawnerReset")
-- 					else
-- 						this:SystemMessage("Destroy All cancelled")
-- 					end
-- 				end
-- 			}
-- 		end
-- 	end

--This fixes all spawners after a world reset
RegisterEventHandler(EventType.DestroyAllComplete,"WorldReset",
	function ()
		local allSpawners = FindObjects(SearchModule("spawner"))
		for i,spawnerObj in pairs(allSpawners) do
			if(spawnerObj:HasObjVar("parentSpawner")) then spawnerObj:Destroy() end
			spawnerObj:SendMessage("Reset")
		end
	end)
--This fixes all spawners after a world reset
RegisterEventHandler(EventType.DestroyAllComplete,"SpawnerReset",
	function ()
		local allSpawners = FindObjects(SearchModule("spawner"))
		for i,spawnerObj in pairs(allSpawners) do
			if(spawnerObj:HasObjVar("parentSpawner")) then spawnerObj:Destroy() end
			spawnerObj:SendMessage("Reset")
		end
	end)

--when we delete an object with the /destroy command this fixes
--the spawners entry
function DoDestroy(target)
	if(target:IsPlayer()) then
		this:SystemMessage("You cannot destroy players")
	elseif(target:HasObjVar("NoReset")) then
		destroyTargetObj = target
		ClientDialog.Show{
			TargetUser = this,
		    DialogId = "DestroyConfirm",
		    TitleStr = "Warning",
		    DescStr = "[$2456]",
		    Button1Str = "Yes",
		    Button2Str = "No",
		    ResponseFunc = function ( user, buttonId )
				buttonId = tonumber(buttonId)
				if( buttonId == 0 and destroyTargetObj ~= nil) then
					if(destroyTargetObj:HasEventHandler(EventType.Message,"Destroy")) then
						destroyTargetObj:SendMessage("Destroy")
					elseif(destroyTargetObj:HasObjVar("parentSpawner")) then
						GameObj(destroyTargetObj:GetObjVar("parentSpawner")):SendMessage("mobHasDied", destroyTargetObj)
						destroyTargetObj:Destroy()
					else
						destroyTargetObj:Destroy()
					end					
				end
			end
		}
	else
		this:SystemMessage("Destroying object "..tostring(target))
		if(target:HasEventHandler(EventType.Message,"Destroy")) then
			target:SendMessage("Destroy")
		elseif(target:HasObjVar("parentSpawner")) then
			GameObj(target:GetObjVar("parentSpawner")):SendMessage("mobHasDied", target)
			target:Destroy()
		else
			target:Destroy()
		end		
	end
end

--------------------------------------------------------------------------------
--										RespawnAll()
--------------------------------------------------------------------------------
--this finds everything in the region thats a gizmos_spawner, then forces the respawn
--message on them. remember you have to do this on each map/region
function RespawnAll()
	local spawnerList = FindObjects(SearchObjVar("WorldSave",true))
	if(#spawnerList > 0) then
		for spawnerIndex, spawner in pairs(spawnerList) do
			if(spawner:GetObjVar("SearchType") == "Spawner") then
				spawner:SendMessage("Respawn")
			end
		end
	end
end

--------------------------------------------------------------------------------
--										SleepAll()
--------------------------------------------------------------------------------
--this finds everything in the region thats a gizmos_spawner, then forces the respawn
--message on them. remember you have to do this on each map/region
function SleepAll()
	local spawnerList = FindObjects(SearchObjVar("WorldSave",true))
	if(#spawnerList > 0) then
		for spawnerIndex, spawner in pairs(spawnerList) do
			if(spawner:GetObjVar("SearchType") == "Spawner") then
				spawner:SendMessage("Sleep")
			end
		end
	end
end

--------------------------------------------------------------------------------
--										WakeupAll()
--------------------------------------------------------------------------------
--this finds everything in the region thats a gizmos_spawner, then forces the respawn
--message on them. remember you have to do this on each map/region
function WakeupAll()
	local spawnerList = FindObjects(SearchObjVar("WorldSave",true))
	if(#spawnerList > 0) then
		for spawnerIndex, spawner in pairs(spawnerList) do
			if(spawner:GetObjVar("SearchType") == "Spawner") then
				spawner:SendMessage("Wakeup")
			end
		end
	end
end

--SPAWNER
RegisterCommand{ Command="respawnall", AccessLevel = AccessLevel.God, Func=RespawnAll, Desc="respawn all spawners in the region" }
RegisterCommand{ Command="sleepall", AccessLevel = AccessLevel.God, Func=SleepAll, Desc="respawn all spawners in the region" }
RegisterCommand{ Command="wakeupall", AccessLevel = AccessLevel.God, Func=WakeupAll, Desc="respawn all spawners in the region" }
RegisterCommand{ Command="savespawners", AccessLevel = AccessLevel.God, Func=SaveWorldSpawners, Desc="save the worlds spawner objects" }
RegisterCommand{ Command="loadspawners", AccessLevel = AccessLevel.God, Func=LoadWorldSpawners, Desc="load the worlds spawner objects" }
RegisterCommand{ Command="editfaction", AccessLevel = AccessLevel.God, Func=EditFaction, Desc="edits the target player faction table" }
--ITEMS
RegisterCommand{ Command="lockdown", AccessLevel = AccessLevel.God, Func=ToggleLockDown, Desc="lock a item down" }
RegisterCommand{ Command="props", AccessLevel = AccessLevel.God, Func=EditItemProperties, Desc="edit item properties" }
--PERSISTANCE STRATEGY PERMANENTS
RegisterCommand{ Command="permanent", AccessLevel = AccessLevel.God, Func=TogglePermanent, Desc="Make a item permanent and save it to the world" }
RegisterCommand{ Command="savepermanentobjects", AccessLevel = AccessLevel.God, Func=SavePermanentObjects, Desc="save the worlds permanent objects" }
RegisterCommand{ Command="loadpermanentobjects", AccessLevel = AccessLevel.God, Func=LoadPermanentObjects, Desc="load the worlds permanent objects" }



function SaveStaticObjects()
	local regionAddress = GetRegionAddress()
	print("SAVING REGION: "..regionAddress)
	local staticList = FindObjects(SearchObjVar("StaticObjectToSave",true))
	print("<WorldTemplateObjects>")
	for k,v in pairs(staticList) do
		local id = v:GetIconId()
		local position = v:GetLocation()
		local rotation = v:GetRotation()
		local scale = v:GetScale()
		local buildString = id + " " + position.X + " " + position.Y + " " + position.Z + " " + rotation.X + " " + rotation.Y + " " + rotation.Z + " " + scale.X + " " + scale.Y + " " + scale.Z + " " 
		print("\t<StaticObject>")
		print("\t\t<ObjectCreationParams>"..buildString.."</ObjectCreationParams>")
		print("\t</StaticObject>")
	end
	print("</WorldTemplateObjects>")	
end

RegisterCommand{ Command="savestatics", AccessLevel = AccessLevel.God, Func=SaveStaticObjects, Desc="Make a item permanent and save it to the world" }


function WriteHtmlFiles()
	local animalTemp = {}
	local allTemp = GetAllTemplateNames()
	for k,v in pairs(allTemp) do
		if(GetTemplateObjVar(v,"TamingDifficulty") ~= nil) then
			this:SystemMessage("[FFFF00]Name:"..GetTemplateObjectName(v).."\nSkill:"..GetTemplateObjVar(v,"TamingDifficulty"))
		end
	end
end

RegisterCommand{ Command="writehtmlfiles", AccessLevel = AccessLevel.God, Func=WriteHtmlFiles, Desc="Writes a series of HTML data files" }

function EditPlayerChar()
	OpenCharEditWindow(this)
end

RegisterCommand{ Command="edit", AccessLevel = AccessLevel.Mortal, Func=EditPlayerChar, Desc="Allows you to edit your character stats and skills" }

