-- written by Gizmo
----------------------------------------------------------------------
-- If you like Project Phoenix and want to help support the project
-- you could send any donation amount to jessebutler1975@gmail.com at
-- paypal.com
--
-- Thank you for using my product, 
-- I hope you enjoy it as much as I do
----------------------------------------------------------------------
----------------------------------------------------------
--					EditItemProperties()
----------------------------------------------------------
function EditItemProperties()
	this:CloseDynamicWindow("editItemProperties")
  	this:RequestClientTargetGameObj(this, "editItemProperties")
  	this:SystemMessage("target a item you wish to examine...")
end
----------------------------------------------------------
--			ShowItemPropertyWindow(user,item,page)
----------------------------------------------------------
function ShowItemPropertyWindow(user,item,page)
	if(page == nil) then page = "Primary" end
	local properties = item:GetObjVar("MagicProperties")
	if(properties == nil) then
		properties = LootTable.PropertyTable
		item:SetObjVar("MagicProperties",properties)
	end
	local window = DynamicWindow("ItemPropertyWindow","[BBBB44]Gizmo's Equipment Editor",500,360,-250,-180,"Default","Center")

	if(page == "Standard") then
		window:AddLabel(15,37,"[BBBB44]Name",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(107,35,365,20,"text_field_name",item:GetName())

		window:AddLabel(15,65,"[BBBB44]Hue",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(107,65,365,20,"text_field_hue",tostring(item:GetHue()))

		window:AddLabel(15,95,"[BBBB44]Color",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(107,95,365,20,"text_field_color",item:GetColor())

		window:AddLabel(15,125,"[BBBB44]Weight",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(107,125,365,20,"text_field_weight",tostring(GetWeight(item)))

		window:AddLabel(15,155,"[BBBB44]Max Durability",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(107,155,365,20,"text_field_maxdurability",tostring(item:GetObjVar("MaxDurability")))

		window:AddLabel(15,185,"[BBBB44]Lore",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(107,185,365,80,"text_field_lore",tostring(item:GetObjVar("LoreString") or ""))

		window:AddButton(15,269,"ScriptIt:"..item.Id..":"..page,"",130,28,"[FF7700]Script This Item\n[FFFFBB]create this item in xml format to make a permanent object out of it",nil,true,"SectionButton")
		window:AddLabel(37,276,"[FF7700]Create Me",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")

		window:AddButton(340,269,"ApplyChangesStandard:"..item.Id..":"..page,"",130,28,"[FF7700]Apply Changes\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton")
		window:AddLabel(356,275,"[BBBB44]Apply Changes",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")		
	end
	if(page == "Primary") then
		window:AddLabel(18,65,"[BBBB44]Strength",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,63,100,20,"text_field_strength_plus",tostring(properties["StrengthPlus"]))
		window:AddTextField(285,63,100,20,"text_field_strength_times",tostring(properties["StrengthTimes"]))

		window:AddLabel(18,95,"[BBBB44]Agility",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,93,100,20,"text_field_agility_plus",tostring(properties["AgilityPlus"]))	
		window:AddTextField(285,93,100,20,"text_field_agility_times",tostring(properties["AgilityTimes"]))	

		window:AddLabel(18,125,"[BBBB44]Constitution",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,123,100,20,"text_field_constitution_plus",tostring(properties["ConstitutionPlus"]))
		window:AddTextField(285,123,100,20,"text_field_constitution_times",tostring(properties["ConstitutionTimes"]))

		window:AddLabel(18,155,"[BBBB44]Intelligence",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,153,100,20,"text_field_intelligence_plus",tostring(properties["IntelligencePlus"]))
		window:AddTextField(285,153,100,20,"text_field_intelligence_times",tostring(properties["IntelligenceTimes"]))

		window:AddLabel(18,185,"[BBBB44]Wisdom",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,183,100,20,"text_field_wisdom_plus",tostring(properties["WisdomPlus"]))
		window:AddTextField(285,183,100,20,"text_field_wisdom_times",tostring(properties["WisdomTimes"]))

		window:AddLabel(18,215,"[BBBB44]Will",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,213,100,20,"text_field_will_plus",tostring(properties["WillPlus"]))
		window:AddTextField(285,213,100,20,"text_field_will_times",tostring(properties["WillTimes"]))

		window:AddButton(340,269,"ApplyChangesPrimary:"..item.Id..":"..page,"",130,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton")
		window:AddLabel(356,275,"[BBBB44]Apply Changes",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")		
							
		window:AddLabel(16,42,"Property",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddLabel(165,42,"Bonus",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddLabel(290,42,"Multiplier",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end

	if(page == "Combat") then
		window:AddLabel(18,65,"[BBBB44]Accuracy",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,63,100,20,"text_field_accuracy_plus",tostring(properties["AccuracyPlus"]))
		window:AddTextField(285,63,100,20,"text_field_accuracy_times",tostring(properties["AccuracyTimes"]))

		window:AddLabel(18,95,"[BBBB44]Critical",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,93,100,20,"text_field_critchance_plus",tostring(properties["CritChancePlus"]))	
		window:AddTextField(285,93,100,20,"text_field_critchance_times",tostring(properties["CritChanceTimes"]))	

		window:AddLabel(18,125,"[BBBB44]Defense",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,123,100,20,"text_field_defense_plus",tostring(properties["DefensePlus"]))
		window:AddTextField(285,123,100,20,"text_field_defense_times",tostring(properties["DefenseTimes"]))

		window:AddLabel(18,155,"[BBBB44]Evasion",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,153,100,20,"text_field_evasion_plus",tostring(properties["EvasionPlus"]))
		window:AddTextField(285,153,100,20,"text_field_evasion_times",tostring(properties["EvasionTimes"]))

		window:AddLabel(18,185,"[BBBB44]Movement",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,183,100,20,"text_field_movespeed_plus",tostring(properties["MoveSpeedPlus"]))
		window:AddTextField(285,183,100,20,"text_field_movespeed_times",tostring(properties["MoveSpeedTimes"]))

		window:AddButton(340,269,"ApplyChangesCombat:"..item.Id..":"..page,"",130,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton")
		window:AddLabel(356,275,"[BBBB44]Apply Changes",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")		
							
		window:AddLabel(16,42,"Property",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddLabel(165,42,"Bonus",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddLabel(290,42,"Multiplier",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end
	if(page == "Damage") then
		window:AddLabel(18,65,"[BBBB44]Attack",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,63,100,20,"text_field_attack_plus",tostring(properties["AttackPlus"]))
		window:AddTextField(285,63,100,20,"text_field_attack_times",tostring(properties["AttackTimes"]))

		window:AddLabel(18,95,"[BBBB44]Force",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,93,100,20,"text_field_force_plus",tostring(properties["ForcePlus"]))	
		window:AddTextField(285,93,100,20,"text_field_force_times",tostring(properties["ForceTimes"]))	

		window:AddLabel(18,125,"[BBBB44]Power",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,123,100,20,"text_field_power_plus",tostring(properties["PowerPlus"]))
		window:AddTextField(285,123,100,20,"text_field_power_times",tostring(properties["PowerTimes"]))

		window:AddButton(340,269,"ApplyChangesDamage:"..item.Id..":"..page,"",130,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton")
		window:AddLabel(356,275,"[BBBB44]Apply Changes",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")			
							
		window:AddLabel(16,42,"Property",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddLabel(165,42,"Bonus",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddLabel(290,42,"Multiplier",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end	

	if(page == "Resource") then
		window:AddLabel(18,65,"[BBBB44]Max Health",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,63,100,20,"text_field_maxhealth_plus",tostring(properties["MaxHealthPlus"]))
		window:AddTextField(285,63,100,20,"text_field_maxhealth_times",tostring(properties["MaxHealthTimes"]))

		window:AddLabel(18,95,"[BBBB44]Max Mana",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,93,100,20,"text_field_maxmana_plus",tostring(properties["MaxManaPlus"]))	
		window:AddTextField(285,93,100,20,"text_field_maxmana_times",tostring(properties["MaxManaTimes"]))	

		window:AddLabel(18,125,"[BBBB44]Max Stamina",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,123,100,20,"text_field_maxstamina_plus",tostring(properties["MaxStaminaPlus"]))
		window:AddTextField(285,123,100,20,"text_field_maxstamina_times",tostring(properties["MaxStaminaTimes"]))

		window:AddLabel(18,155,"[BBBB44]Max Vitality",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,153,100,20,"text_field_maxvitality_plus",tostring(properties["MaxVitalityPlus"]))
		window:AddTextField(285,153,100,20,"text_field_maxvitality_times",tostring(properties["MaxVitalityTimes"]))

		window:AddLabel(18,185,"[BBBB44]Health Regen",102,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,183,100,20,"text_field_healthregen_plus",tostring(properties["HealthRegenPlus"]))
		window:AddTextField(285,183,100,20,"text_field_healthregen_times",tostring(properties["HealthRegenTimes"]))

		window:AddLabel(18,215,"[BBBB44]Mana Regen",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,213,100,20,"text_field_manaregen_plus",tostring(properties["ManaRegenPlus"]))
		window:AddTextField(285,213,100,20,"text_field_manaregen_times",tostring(properties["ManaRegenTimes"]))

		window:AddLabel(18,245,"[BBBB44]Stamina Regen",112,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddTextField(160,243,100,20,"text_field_staminaregen_plus",tostring(properties["StaminaRegenPlus"]))
		window:AddTextField(285,243,100,20,"text_field_staminaregen_times",tostring(properties["StaminaRegenTimes"]))

		window:AddButton(340,269,"ApplyChangesResource:"..item.Id..":"..page,"",130,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton")
		window:AddLabel(356,275,"[BBBB44]Apply Changes",130,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")		
							
		window:AddLabel(16,42,"Property",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddLabel(165,42,"Bonus",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
		window:AddLabel(290,42,"Multiplier",92,18,18,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end

	window:AddImage(-7,-35,"SkillsCategoryTitleFrame",495,35,"Sliced")
	window:AddImage(-7, 306,"SkillsCategoryTitleFrame",495,35,"Sliced")

	if(page == "Standard") then
		window:AddButton(8,4,"ShowStandard:"..item.Id,"",92,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton","pressed")
		window:AddLabel(24,10, "[FF7700]Standard",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	else
		window:AddButton(8,4,"ShowStandard:"..item.Id,"",92,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton")
		window:AddLabel(24,10, "[BBBB44]Standard",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")	
	end
	if(page == "Primary") then
		window:AddButton(101,4,"ShowPrimary:"..item.Id,"",92,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton","pressed")
		window:AddLabel(118,10,"[FF7700]Primary",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	else
		window:AddButton(101,4,"ShowPrimary:"..item.Id,"",92,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton")
		window:AddLabel(118,10,"[BBBB44]Primary",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end
	if(page == "Combat") then
		window:AddButton(193,4,"ShowCombat:"..item.Id,"",92,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton","pressed")
		window:AddLabel(214,10,"[FF7700]Combat",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	else
		window:AddButton(193,4,"ShowCombat:"..item.Id,"",92,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton")
		window:AddLabel(214,10,"[BBBB44]Combat",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end
	if(page == "Damage") then
		window:AddButton(287,4,"ShowDamage:"..item.Id,"",92,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton","pressed")
		window:AddLabel(304,10,"[FF7700]Damage",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")	
	else
		window:AddButton(287,4,"ShowDamage:"..item.Id,"",92,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton")
		window:AddLabel(304,10,"[BBBB44]Damage",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")	
	end
	if(page == "Resource") then
		window:AddButton(380,4,"ShowResource:"..item.Id,"",92,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton","pressed")
		window:AddLabel(396,10,"[FF7700]Resource",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	else
		window:AddButton(380,4,"ShowResource:"..item.Id,"",92,28,"[FF7700]Switch to Standard\n[FFFFBB]switch to standard item properties",nil,false,"SectionButton")
		window:AddLabel(396,10,"[BBBB44]Resource",92,20,20,"left",false,false,"PermianSlabSerif_16_Dynamic")
	end

	window:AddButton(452,-33,"close_button","Button",28,28,"[FF7700]Close Window",nil,true,"SectionButton")
	window:AddLabel(460,-27,"[AA0000]X",24,24,24,"",false,false,"PermianSlabSerif_16_Dynamic")

	user:OpenDynamicWindow(window,this)	
end
----------------------------------------------------------
--				ExportToXml(fullpath,user,item)
----------------------------------------------------------
function ExportToXml(fullpath,user,item)
	local file = io.open(fullpath,"w")

	file:write("<ObjectTemplate>\n")

	file:write("\t<Name>" .. item:GetName() .. "</Name>\n")
	file:write("\t<ClientId>" .. tostring(item:GetIconId()) .. "</ClientId>\n")
	file:write("\t<Hue>" .. item:GetHue() .. "</Hue>\n")
	file:write("\t<Color>".. item:GetColor() .. "</Color>\n")
	file:write("\t<SharedStateEntry name=\"Weight\" type=\"int\" value=\"" .. GetWeight(item).. "\"/>\n")
	file:write("\t<ObjectVariableComponent>\n")

	if(item:HasObjVar("WeaponType")) then
		file:write("\t\t<StringVariable Name=\"WeaponType\">" .. item:GetObjVar("WeaponType") .. "</StringVariable>\n")
	elseif(item:HasObjVar("ArmorType")) then
		file:write("\t\t<StringVariable Name=\"ArmorType\">" .. item:GetObjVar("ArmorType") .. "</StringVariable>\n")
	elseif(item:HasObjVar("ShieldType")) then
		file:write("\t\t<StringVariable Name=\"ShieldType\">" .. item:GetObjVar("ShieldType") .. "</StringVariable>\n")
	end

	if(item:HasObjVar("MaxDurability")) then
		if(item:GetObjVar("MaxDurability") ~= nil) then
			file:write("\t\t<DoubleVariable Name=\"MaxDurability\">" .. item:GetObjVar("MaxDurability") .. "</DoubleVariable>\n")
		end
	end

	file:write("\t</ObjectVariableComponent>\n")
	file:write("\t<ScriptEngineComponent>\n")

	if(item:HasModule("armor_base")) then
		file:write("\t\t<LuaModule Name=\"armor_base\"/>\n")
	end

	file:write("\t\t<LuaModule Name=\"item_properties\">\n")
	file:write("\t\t\t<Initializer>\n")
	file:write("\t\t\t{\n")
	print("Writing Item Properties....")
	WriteItemProperties(file,item)
	file:write("\t\t\t}\n")
	file:write("\t\t\t</Initializer>\n")
	file:write("\t\t</LuaModule>\n")
	file:write("\t</ScriptEngineComponent>\n")
	file:write("</ObjectTemplate>")
	file:close()

	user:SystemMessage("[FF7700]"..fullpath.."[FFFFBB]... scripted and saved!")
end
----------------------------------------------------------
--				WriteItemProperties(file)
----------------------------------------------------------
--this formats the inventory the merchant sells to the
--xml file
function WriteItemProperties(file,item)
	for prop,value in pairs(item:GetObjVar("MagicProperties")) do
		if(tonumber(value) > 0) then
			file:write("\t\t\t\t"..prop.." = " .. value .. ",\n")
		end
	end
end
----------------------------------------------------------
--EVENTTYPE - ClientTargetGameObjResponse - "editItemProperties"
----------------------------------------------------------
RegisterEventHandler(EventType.ClientTargetGameObjResponse, "editItemProperties", 
function(target)
	if not (target:HasObjVar("MagicProperties")) then
		target:SetObjVar("MagicProperties",propertyBonusValues)
		ShowItemPropertyWindow(this,target)
		return
	end
	ShowItemPropertyWindow(this,target)
end)
----------------------------------------------------------
--EVENTTYPE - DynamicWindowResponse - "ItemPropertyWindow"
----------------------------------------------------------
--this is the item property window dialog event handler
RegisterEventHandler(EventType.DynamicWindowResponse,"ItemPropertyWindow", 
	function (user,buttonId,textField)
		local buttonData = StringSplit(buttonId,":")
		local button = buttonData[1]
		local objectId = buttonData[2]

		if(button=="ShowStandard") then
			ShowItemPropertyWindow(user,GameObj(tonumber(objectId)),"Standard")
		end
		if(button=="ShowPrimary") then
			ShowItemPropertyWindow(user,GameObj(tonumber(objectId)),"Primary")
		end	
		if(button=="ShowCombat") then
			ShowItemPropertyWindow(user,GameObj(tonumber(objectId)),"Combat")
		end
		if(button=="ShowDamage") then
			ShowItemPropertyWindow(user,GameObj(tonumber(objectId)),"Damage")
		end
		if(button=="ShowResource") then
			ShowItemPropertyWindow(user,GameObj(tonumber(objectId)),"Resource")
		end
		if(button=="ApplyChangesPrimary") then
			local gameObject = GameObj(tonumber(objectId)) or nil
			if(gameObject ~= nil) then
				local magicProperties = gameObject:GetObjVar("MagicProperties")
				if(tonumber(textField.text_field_strength_plus) ~= 0) then
					magicProperties["StrengthPlus"] = tonumber(textField.text_field_strength_plus)
				else
					magicProperties["StrengthPlus"] = 0
				end
				if(tonumber(textField.text_field_strength_times) ~= 0) then
					magicProperties["StrengthTimes"] = tonumber(textField.text_field_strength_times)
				else
					magicProperties["StrengthTimes"] = 0
				end
				if(tonumber(textField.text_field_agility_plus) ~= 0) then
					magicProperties["AgilityPlus"] = tonumber(textField.text_field_agility_plus)
				else
					magicProperties["AgilityPlus"] = 0
				end
				if(tonumber(textField.text_field_agility_times) ~= 0) then
					magicProperties["AgilityTimes"] = tonumber(textField.text_field_agility_times)
				else
					magicProperties["AgilityTimes"] = 0
				end
				if(tonumber(textField.text_field_constitution_plus) ~= 0) then
					magicProperties["ConstitutionPlus"] = tonumber(textField.text_field_constitution_plus)
				else
					magicProperties["ConstitutionPlus"] = 0
				end
				if(tonumber(textField.text_field_constitution_times) ~= 0) then
					magicProperties["ConstitutionTimes"] = tonumber(textField.text_field_constitution_times)
				else
					magicProperties["ConstitutionTimes"] = 0
				end
				if(tonumber(textField.text_field_intelligence_plus) ~= 0) then
					magicProperties["IntelligencePlus"] = tonumber(textField.text_field_intelligence_plus)
				else
					magicProperties["IntelligencePlus"] = 0
				end
				if(tonumber(textField.text_field_intelligence_times) ~= 0) then
					magicProperties["IntelligenceTimes"] = tonumber(textField.text_field_intelligence_times)
				else
					magicProperties["IntelligenceTimes"] = 0
				end
				if(tonumber(textField.text_field_wisdom_plus) ~= 0) then
					magicProperties["WisdomPlus"] = tonumber(textField.text_field_wisdom_plus)
				else
					magicProperties["WisdomPlus"] = 0
				end
				if(tonumber(textField.text_field_wisdom_times) ~= 0) then
					magicProperties["WisdomTimes"] = tonumber(textField.text_field_wisdom_times)
				else
					magicProperties["WisdomTimes"] = 0
				end
				if(tonumber(textField.text_field_will_plus) ~= 0) then
					magicProperties["WillPlus"] = tonumber(textField.text_field_will_plus)
				else
					magicProperties["WillPlus"] = 0
				end
				if(tonumber(textField.text_field_will_times) ~= 0) then
					magicProperties["WillTimes"] = tonumber(textField.text_field_will_times)
				else
					magicProperties["WillTimes"] = 0
				end
				gameObject:SetObjVar("MagicProperties",magicProperties)
				CallFunctionDelayed(TimeSpan.FromSeconds(1),function()ShowItemPropertyWindow(user,gameObject,buttonData[3])end)
				
				LootTable.Functions.UpdateItemTooltip(gameObject)
			else
				user:SystemMessage("Error Object Invalid")
			end
		end

		if(button=="ApplyChangesCombat") then
			local gameObject = GameObj(tonumber(objectId)) or nil
			if(gameObject ~= nil) then
				local magicProperties = gameObject:GetObjVar("MagicProperties")

				if(tonumber(textField.text_field_accuracy_plus) ~= 0) then
					magicProperties["AccuracyPlus"] = tonumber(textField.text_field_accuracy_plus)
				else
					magicProperties["AccuracyPlus"] = 0
				end
				if(tonumber(textField.text_field_accuracy_times) ~= 0) then
					magicProperties["AccuracyTimes"] = tonumber(textField.text_field_accuracy_times)
				else
					magicProperties["AccuracyTimes"] = 0
				end				
				if(tonumber(textField.text_field_critchance_plus) ~= 0) then
					magicProperties["CritChancePlus"] = tonumber(textField.text_field_critchance_plus)
				else
					magicProperties["CritChancePlus"] = 0
				end
				if(tonumber(textField.text_field_critchance_times) ~= 0) then
					magicProperties["CritChanceTimes"] = tonumber(textField.text_field_critchance_times)
				else
					magicProperties["CritChanceTimes"] = 0
				end
				if(tonumber(textField.text_field_defense_plus) ~= 0) then
					magicProperties["DefensePlus"] = tonumber(textField.text_field_defense_plus)
				else
					magicProperties["DefensePlus"] = 0
				end
				if(tonumber(textField.text_field_defense_times) ~= 0) then
					magicProperties["DefenseTimes"] = tonumber(textField.text_field_defense_times)
				else
					magicProperties["DefenseTimes"] = 0
				end			
				if(tonumber(textField.text_field_evasion_plus) ~= 0) then
					magicProperties["EvasionPlus"] = tonumber(textField.text_field_evasion_plus)
				else
					magicProperties["EvasionPlus"] = 0
				end
				if(tonumber(textField.text_field_evasion_times) ~= 0) then
					magicProperties["EvasionTimes"] = tonumber(textField.text_field_evasion_times)
				else
					magicProperties["EvasionTimes"] = 0
				end
				if(tonumber(textField.text_field_movespeed_plus) ~= 0) then
					magicProperties["MoveSpeedPlus"] = tonumber(textField.text_field_movespeed_plus)
				else
					magicProperties["MoveSpeedPlus"] = 0
				end
				if(tonumber(textField.text_field_movespeed_times) ~= 0) then
					magicProperties["MoveSpeedTimes"] = tonumber(textField.text_field_movespeed_times)
				else
					magicProperties["MoveSpeedTimes"] = 0
				end

				gameObject:SetObjVar("MagicProperties",magicProperties)
				CallFunctionDelayed(TimeSpan.FromSeconds(1),function()ShowItemPropertyWindow(user,gameObject,buttonData[3])end)
				
				LootTable.Functions.UpdateItemTooltip(gameObject)
			else
				user:SystemMessage("Error Object Invalid")
			end
		end

		if(button=="ApplyChangesDamage") then
			local gameObject = GameObj(tonumber(objectId)) or nil
			if(gameObject ~= nil) then
				local magicProperties = gameObject:GetObjVar("MagicProperties")

				if(tonumber(textField.text_field_attack_plus) ~= 0) then
					magicProperties["AttackPlus"] = tonumber(textField.text_field_attack_plus)
				else
					magicProperties["AttackPlus"] = 0
				end
				if(tonumber(textField.text_field_attack_times) ~= 0) then
					magicProperties["AttackTimes"] = tonumber(textField.text_field_attack_times)
				else
					magicProperties["AttackTimes"] = 0
				end				
				if(tonumber(textField.text_field_force_plus) ~= 0) then
					magicProperties["ForcePlus"] = tonumber(textField.text_field_force_plus)
				else
					magicProperties["ForcePlus"] = 0
				end
				if(tonumber(textField.text_field_force_times) ~= 0) then
					magicProperties["ForceTimes"] = tonumber(textField.text_field_force_times)
				else
					magicProperties["ForceTimes"] = 0
				end
				if(tonumber(textField.text_field_power_plus) ~= 0) then
					magicProperties["PowerPlus"] = tonumber(textField.text_field_power_plus)
				else
					magicProperties["PowerPlus"] = 0
				end
				if(tonumber(textField.text_field_power_times) ~= 0) then
					magicProperties["PowerTimes"] = tonumber(textField.text_field_power_times)
				else
					magicProperties["PowerTimes"] = 0
				end			

				gameObject:SetObjVar("MagicProperties",magicProperties)
				CallFunctionDelayed(TimeSpan.FromSeconds(1),function()ShowItemPropertyWindow(user,gameObject,buttonData[3])end)
				
				LootTable.Functions.UpdateItemTooltip(gameObject)
			else
				user:SystemMessage("Error Object Invalid")
			end
		end

		if(button=="ApplyChangesResource") then
			local gameObject = GameObj(tonumber(objectId)) or nil
			if(gameObject ~= nil) then
				local magicProperties = gameObject:GetObjVar("MagicProperties")

				if(tonumber(textField.text_field_maxhealth_plus) ~= 0) then
					magicProperties["MaxHealthPlus"] = tonumber(textField.text_field_maxhealth_plus)
				else
					magicProperties["MaxHealthPlus"] = 0
				end
				if(tonumber(textField.text_field_maxhealth_times) ~= 0) then
					magicProperties["MaxHealthTimes"] = tonumber(textField.text_field_maxhealth_times)
				else
					magicProperties["MaxHealthTimes"] = 0
				end
				if(tonumber(textField.text_field_maxmana_plus) ~= 0) then
					magicProperties["MaxManaPlus"] = tonumber(textField.text_field_maxmana_plus)
				else
					magicProperties["MaxManaPlus"] = 0
				end
				if(tonumber(textField.text_field_maxmana_times) ~= 0) then
					magicProperties["MaxManaTimes"] = tonumber(textField.text_field_maxmana_times)
				else
					magicProperties["MaxManaTimes"] = 0
				end
				if(tonumber(textField.text_field_maxstamina_plus) ~= 0) then
					magicProperties["MaxStaminaPlus"] = tonumber(textField.text_field_maxstamina_plus)
				else
					magicProperties["MaxStaminaPlus"] = 0
				end
				if(tonumber(textField.text_field_maxstamina_times) ~= 0) then
					magicProperties["MaxStaminaTimes"] = tonumber(textField.text_field_maxstamina_times)
				else
					magicProperties["MaxStaminaTimes"] = 0
				end
				if(tonumber(textField.text_field_maxvitality_plus) ~= 0) then
					magicProperties["MaxVitalityPlus"] = tonumber(textField.text_field_maxvitality_plus)
				else
					magicProperties["MaxVitalityPlus"] = 0
				end
				if(tonumber(textField.text_field_maxvitality_times) ~= 0) then
					magicProperties["MaxVitalityTimes"] = tonumber(textField.text_field_maxvitality_times)
				else
					magicProperties["MaxVitalityTimes"] = 0
				end
				if(tonumber(textField.text_field_healthregen_plus) ~= 0) then
					magicProperties["HealthRegenPlus"] = tonumber(textField.text_field_healthregen_plus)
				else
					magicProperties["HealthRegenPlus"] = 0
				end
				if(tonumber(textField.text_field_healthregen_times) ~= 0) then
					magicProperties["HealthRegenTimes"] = tonumber(textField.text_field_healthregen_times)
				else
					magicProperties["HealthRegenTimes"] = 0
				end
				if(tonumber(textField.text_field_manaregen_plus) ~= 0) then
					magicProperties["ManaRegenPlus"] = tonumber(textField.text_field_manaregen_plus)
				else
					magicProperties["ManaRegenPlus"] = 0
				end
				if(tonumber(textField.text_field_manaregen_times) ~= 0) then
					magicProperties["ManaRegenTimes"] = tonumber(textField.text_field_manaregen_times)
				else
					magicProperties["ManaRegenTimes"] = 0
				end
				if(tonumber(textField.text_field_staminaregen_plus) ~= 0) then
					magicProperties["StaminaRegenPlus"] = tonumber(textField.text_field_staminaregen_plus)
				else
					magicProperties["StaminaRegenPlus"] = 0
				end
				if(tonumber(textField.text_field_staminaregen_times) ~= 0) then
					magicProperties["StaminaRegenTimes"] = tonumber(textField.text_field_staminaregen_times)
				else
					magicProperties["StaminaRegenTimes"] = 0
				end

				gameObject:SetObjVar("MagicProperties",magicProperties)
				CallFunctionDelayed(TimeSpan.FromSeconds(1),function()ShowItemPropertyWindow(user,gameObject,buttonData[3])end)
				
				LootTable.Functions.UpdateItemTooltip(gameObject)
			else
				user:SystemMessage("Error Object Invalid")
			end
		end	

		if(button=="ApplyChangesStandard") then	
			local gameObject = GameObj(tonumber(objectId)) or nil
			if(gameObject ~= nil) then		
				gameObject:SetName(textField.text_field_name)
				gameObject:SetHue(tonumber(textField.text_field_hue))
				gameObject:SetColor(textField.text_field_color)
				gameObject:SetSharedObjectProperty("Weight",textField.text_field_weight)
				gameObject:SetObjVar("MaxDurability", textField.text_field_maxdurability)
				if(textField.text_field_lore ~= "") then
					gameObject:SetObjVar("LoreString",textField.text_field_lore)
				else
					if(gameObject:HasObjVar("ItemLore") == true) then gameObject:DelObjVar("ItemLore") end
				end				
				CallFunctionDelayed(TimeSpan.FromSeconds(1),function()ShowItemPropertyWindow(user,gameObject,buttonData[3])end)
				LootTable.Functions.UpdateItemTooltip(gameObject)
			end			
		end

		if(button=="ScriptIt") then
			local gameObject = GameObj(tonumber(objectId)) or nil
			if(gameObject ~= nil) then		
				
			if(user:GetObjVar("ModName") ~= nil) then
				local file = io.open("mods/".. user:GetObjVar("ModName") .."/templates/customitems/junk.lua","w")
				if(file ~= nil) then
					local directory = "mods/".. user:GetObjVar("ModName") .."/templates/customitems/"
					local name, color = StripColorFromString(gameObject:GetName())
					local name = name:lower()
					local filename = string.gsub(name," ","_")
					filename = string.gsub(filename,"'","")
					local fullpath = directory .. filename .. ".xml"
					ExportToXml(fullpath,user,gameObject)
					ReloadTemplates()
				else
					user:SystemMessage("[FF7700]-------------------------------------------------")
					user:SystemMessage("[22FF22]                  -[SETUP REQUIRED]-")
					user:SystemMessage("[FF7700]-------------------------------------------------")
					user:SystemMessage("[22FF22]Simply Do The Following")
					user:SystemMessage("[FFFFBB]I see you completed step 1 by creating your ModName variable. One more step and we will be ready. Create a folder named [FF7700]'customitems' [FFFFBB] in your mods/"..user:GetObjVar("ModName").."/templates directory")
				end
			else
				user:SystemMessage("[FF7700]-------------------------------------------------")
				user:SystemMessage("[22FF22]                  -[SETUP REQUIRED]-")
				user:SystemMessage("[FF7700]-------------------------------------------------")
				user:SystemMessage("[22FF22]Simply Do The Following")
				user:SystemMessage("[FFFFBB]Add a string variable named [FF7700]'ModName'[FFFFBB] to your character. Name this variable the same name as your mod name, remember folders are case sensitive. This is so you can save these templates directly to your mod folder. These templates will be placed in the following directory [FF7700]'yourmod/templates/customitems'")
			end
				CallFunctionDelayed(TimeSpan.FromSeconds(1.5),function()ShowItemPropertyWindow(user,gameObject,buttonData[3])end)
				LootTable.Functions.UpdateItemTooltip(gameObject)
			end
		end
	end)
