function WriteHtmlFiles(user)
	local animalTemp = nil
	local armorTemp = nil
	local shieldTemp = nil
	local weaponTemp = nil
	local missionTemp = nil
	local allTemp = GetAllTemplateNames()
	for k,v in pairs(allTemp) do
		if(GetTemplateObjVar(v,"TamingDifficulty") ~= nil) then
			--local initializer = GetInitializerFromTemplate(v, "ai_default_animal")
			if(animalTemp == nil) then animalTemp = {} end
			--if(initializer ~= nil) then
				local animaldata = 
				{
					Name=GetTemplateObjectName(v),
					BaseHealth=GetTemplateObjVar(v,"BaseHealth") or 0,
					Attack=GetTemplateObjVar(v,"Attack") or 0,
					Armor=GetTemplateObjVar(v,"Armor") or 0,
					--PetSlots=GetTemplateObjVar(v,"PetSlots"),
					Taming=GetTemplateObjVar(v,"TamingDifficulty" or 0),
				}
				table.insert(animalTemp,animaldata)
			--else
			--	user:SystemMessage(GetTemplateObjectName(v).."[FF0000]NO INI")
			--end
		end
		if(GetTemplateObjVar(v,"ArmorType") ~= nil) then
			if(armorTemp == nil) then armorTemp = {} end
			local armorData = 
			{
				Name=StripColorFromString(GetTemplateObjectName(v)),
				ArmorType=GetTemplateObjVar(v,"ArmorType") or 0,
				MaxDurability=GetTemplateObjVar(v,"MaxDurability") or 0,
			}
			table.insert(armorTemp,armorData)
		end
		if(GetTemplateObjVar(v,"ShieldType") ~= nil) then
			local shieldType = GetTemplateObjVar(v,"ShieldType")
			if(shieldTemp == nil) then shieldTemp = {} end
			local shieldData = 
			{
				Name=StripColorFromString(GetTemplateObjectName(v)),
				BaseBlockChance=0,
				MaxDurability=GetTemplateObjVar(v,"MaxDurability") or 0,
				ArmorRating=0,
			}
			user:SystemMessage("\n[FFFF00]Shield Type: [-]" .. shieldType .. " Value Type:" .. type(shieldType) .."\n" .."[FF7700]Base Block Chance for [-]".. v .. " is [FFFF00]" .. EquipmentStats.BaseShieldStats["Buckler"].BaseBlockChance .. "[-]")
			table.insert(shieldTemp,shieldData)
		end

		if(GetTemplateObjVar(v,"WeaponType") ~= nil) then
			if(weaponTemp == nil) then weaponTemp = {} end
			local weaponData = 
			{
				Name=StripColorFromString(GetTemplateObjectName(v)),
				Attack=EquipmentStats.BaseWeaponStats[GetTemplateObjVar(v,"WeaponType")].Attack or 0,
				Speed=EquipmentStats.BaseWeaponStats[GetTemplateObjVar(v,"WeaponType")].Speed or 0,
				Primary=EquipmentStats.BaseWeaponStats[GetTemplateObjVar(v,"WeaponType")].PrimaryAbility or 0,
				Secondary=EquipmentStats.BaseWeaponStats[GetTemplateObjVar(v,"WeaponType")].SecondaryAbility or 0,
			}
			table.insert(weaponTemp,weaponData)
		end
		-- local missionIni = nil
		-- if(v ~= nil) then
		-- 	missionIni = GetInitializerFromTemplate(v,"destructable_mob_spawner")
		-- end
		-- if(missionIni ~= nil) then
		-- 	if(missionTemp == nil) then missionTemp = {} end
		-- 	local missionData = 
		-- 	{
		-- 		Name=StripColorFromString(GetTemplateObjectName(v)),
		-- 		SpawnsTemplate = missionIni.Spawns[1].Template,
		-- 		SpawnsMax = missionIni.Spawns[1].Max,
		-- 		SpawnsAddSpawns = missionIni.Spawns[1].AddSpawns,
		-- 		SpawnRange = missionIni.SpawnRange,
		-- 	}
		-- 	table.insert(missionTemp,missionData)
		-- end							
	end

	if(animalTemp ~= nil) then 
		WriteTamingList(animalTemp) 
		user:SystemMessage("[FF7700]server/webdata/taming_data.html created")
	end

	if(armorTemp ~= nil) then
		WriteArmorList(armorTemp) 
		user:SystemMessage("[FF7700]server/webdata/armor_data.html created")
	end

	if(shieldTemp ~= nil) then
		WriteShieldList(shieldTemp) 
		user:SystemMessage("[FF7700]server/webdata/shield_data.html created")
	end	

	if(weaponTemp ~= nil) then
		WriteWeaponList(weaponTemp) 
		user:SystemMessage("[FF7700]server/webdata/weapon_data.html created")
	end	

	if(missionTemp ~= nil) then
		WriteMissionList(missionTemp) 
		user:SystemMessage("[FF7700]server/webdata/mission_data.html created")
	end

end

function WriteMissionList(animalTempData)
	if(animalTempData ~= nil) then
		local file = io.open("webdata/mission_data.html","w")
		file:write("<HTML>\n")
		
		file:write("<HEAD>\n")
		file:write("\t<link rel=\"stylesheet\" href=\"styles/styles.css\">\n")
		file:write("</HEAD>\n")
		
		file:write("\t<BODY>\n")
	
		file:write("\t\t<table>\n")

		file:write("\t\t\t<tr>\n")
		file:write("\t\t\t\t<th>Name</th>\n")
		file:write("\t\t\t\t<th>Lair Template</th>\n")
		file:write("\t\t\t\t<th>Spawn At Start</th>\n")
		file:write("\t\t\t\t<th>Spawn Per Phase</th>\n")
		file:write("\t\t\t\t<th>Spawn Range</th>\n")
		file:write("\t\t\t</tr>\n")

		for k,v in pairs(animalTempData) do
			file:write("\t\t\t<tr>\n")
			file:write("\t\t\t\t<td>".. v.Name .."</td>\n")
			file:write("\t\t\t\t<td>".. v.SpawnsTemplate .."</td>\n")
			file:write("\t\t\t\t<td>".. v.SpawnsMax .. "</td>\n")
			file:write("\t\t\t\t<td>".. v.SpawnsAddSpawns .. "</td>\n")
			file:write("\t\t\t\t<td>".. v.SpawnRange .. "</td>\n")
			file:write("\t\t\t</tr>\n")

		end
		file:write("\t\t<table>\n")


		file:write("\t</BODY>\n")
		file:write("</HTML>")

		file:close()
	end
end

function WriteTamingList(animalTempData)
	if(animalTempData ~= nil) then
		local file = io.open("webdata/taming_data.html","w")
		file:write("<HTML>\n")
		
		file:write("<HEAD>\n")
		file:write("\t<link rel=\"stylesheet\" href=\"styles/styles.css\">\n")
		file:write("</HEAD>\n")
		
		file:write("\t<BODY>\n")
		--file:write("\t\t<p>printed data = ".. #animalTempData .." total animal in index</p>")
	
		file:write("\t\t<table>\n")

		file:write("\t\t\t<tr>\n")
		file:write("\t\t\t\t<th>Name</th>\n")
		file:write("\t\t\t\t<th>Taming</th>\n")
		file:write("\t\t\t\t<th>Base Health</th>\n")
		file:write("\t\t\t\t<th>Attack</th>\n")
		file:write("\t\t\t\t<th>Armor</th>\n")
		--file:write("\t\t\t\t<th>Slots</th>")
		file:write("\t\t\t</tr>\n")

		for k,v in pairs(animalTempData) do
			file:write("\t\t\t<tr>\n")
			file:write("\t\t\t\t<td>".. v.Name .."</td>\n")
			file:write("\t\t\t\t<td>".. v.Taming .."</td>\n")
			file:write("\t\t\t\t<td>".. v.BaseHealth .. "</td>\n")
			file:write("\t\t\t\t<td>".. v.Attack .. "</td>\n")
			file:write("\t\t\t\t<td>".. v.Armor .. "</td>\n")
			--file:write("\t\t\t\t<td>".. (v.PetSlots or 1) .. "</td>")
			file:write("\t\t\t</tr>\n")

		end
		file:write("\t\t<table>\n")


		file:write("\t</BODY>\n")
		file:write("</HTML>")

		file:close()
	end
end

function WriteArmorList(armorTempData)
	if(armorTempData ~= nil) then
		local file = io.open("webdata/armor_data.html","w")
		file:write("<HTML>\n")
		
		file:write("<HEAD>\n")
		file:write("\t<link rel=\"stylesheet\" href=\"styles/styles.css\">\n")
		file:write("</HEAD>\n")
		
		file:write("\t<BODY>\n")
		--file:write("\t\t<p>printed data = ".. #animalTempData .." total animal in index</p>")
	
		file:write("\t\t<table>\n")

		file:write("\t\t\t<tr>\n")
		file:write("\t\t\t\t<th>Name</th>\n")
		file:write("\t\t\t\t<th>Armor Type</th>\n")
		file:write("\t\t\t\t<th>Max Durability</th>\n")
		file:write("\t\t\t</tr>\n")

		for k,v in pairs(armorTempData) do
			file:write("\t\t\t<tr>\n")
			file:write("\t\t\t\t<td>".. v.Name .."</td>\n")
			file:write("\t\t\t\t<td>".. v.ArmorType .."</td>\n")
			file:write("\t\t\t\t<td>".. v.MaxDurability .. "</td>\n")
			file:write("\t\t\t</tr>\n")

		end
		file:write("\t\t<table>\n")


		file:write("\t</BODY>\n")
		file:write("</HTML>")

		file:close()
	end
end

function WriteShieldList(shieldTempData)
	if(shieldTempData ~= nil) then
		local file = io.open("webdata/shield_data.html","w")
		file:write("<HTML>\n")
		
		file:write("<HEAD>\n")
		file:write("\t<link rel=\"stylesheet\" href=\"styles/styles.css\">\n")
		file:write("</HEAD>\n")
		
		file:write("\t<BODY>\n")
		--file:write("\t\t<p>printed data = ".. #animalTempData .." total animal in index</p>")
	
		file:write("\t\t<table>\n")

		file:write("\t\t\t<tr>\n")
		file:write("\t\t\t\t<th>Name</th>\n")
		file:write("\t\t\t\t<th>Block Chance</th>\n")
		file:write("\t\t\t\t<th>Armor</th>\n")
		file:write("\t\t\t\t<th>MaxDurability</th>\n")
		file:write("\t\t\t</tr>\n")

		for k,v in pairs(shieldTempData) do
			file:write("\t\t\t<tr>\n")
			file:write("\t\t\t\t<td>".. v.Name .."</td>\n")
			file:write("\t\t\t\t<td>".. v.BaseBlockChance .."</td>\n")
			file:write("\t\t\t\t<td>".. v.ArmorRating .. "</td>\n")
			file:write("\t\t\t\t<td>".. v.MaxDurability .. "</td>\n")
			file:write("\t\t\t</tr>\n")

		end
		file:write("\t\t<table>\n")


		file:write("\t</BODY>\n")
		file:write("</HTML>")

		file:close()
	end
end

function WriteWeaponList(weaponTempData)
	if(weaponTempData ~= nil) then
		local file = io.open("webdata/weapon_data.html","w")
		file:write("<HTML>\n")
		
		file:write("<HEAD>\n")
		file:write("\t<link rel=\"stylesheet\" href=\"styles/styles.css\">\n")
		file:write("</HEAD>\n")
		
		file:write("\t<BODY>\n")
		--file:write("\t\t<p>printed data = ".. #animalTempData .." total animal in index</p>")
	
		file:write("\t\t<table>\n")

		file:write("\t\t\t<tr>\n")
		file:write("\t\t\t\t<th>Name</th>\n")
		file:write("\t\t\t\t<th>Attack</th>\n")
		file:write("\t\t\t\t<th>Speed</th>\n")
		file:write("\t\t\t\t<th>Primary</th>\n")
		file:write("\t\t\t\t<th>Secondary</th>\n")
		file:write("\t\t\t</tr>\n")

		for k,v in pairs(weaponTempData) do
			file:write("\t\t\t<tr>\n")
			file:write("\t\t\t\t<td>".. v.Name .."</td>\n")
			file:write("\t\t\t\t<td>".. v.Attack .."</td>\n")
			file:write("\t\t\t\t<td>".. v.Speed .. "</td>\n")
			file:write("\t\t\t\t<td>".. v.Primary .. "</td>\n")
			file:write("\t\t\t\t<td>".. v.Secondary .. "</td>\n")
			file:write("\t\t\t</tr>\n")
		end
		file:write("\t\t<table>\n")


		file:write("\t</BODY>\n")
		file:write("</HTML>")

		file:close()
	end
end

RegisterEventHandler(EventType.Message, "UseObject", function(user, usedType) 
	if(usedType=="[FF9900]Test Code[-]") then
		--WriteHtmlFiles(user)
		--ChangeWorld(false,"AzureSky.NewCelador.UpperPlains","NewCelador","UpperPlains",8,324.38,885.32)
		-- if (IsLocInRegion(user:GetLoc(), "Arena")) then
		-- 	if(IsLocInRegion(user:GetLoc(),"Area-Eldeir")) then
		-- 		user:SystemMessage("Your in the eldier arena")
		-- 		user:PlayEffect("TeleportToEffect")
		-- 		user:SetWorldPosition(Loc(105.5,0,834.23))
		-- 		user:PlayEffect("TeleportFromEffect")
		-- 	else
		-- 		user:SystemMessage("Not In Eldier")
		-- 	end
		-- else
		-- 	user:SystemMessage("Your not in the arena")
		-- end

		--ShowDungeonEditorWindow(user,this)
	end
end)





